/dts-v1/;

/ {

	__fixups__ {
		afe = "/fragment@6:target:0";
		charger = "/fragment@41:target:0";
		chosen = "/fragment@1:target:0", "/fragment@35/__overlay__/tran_battery:bootmode:0", "/fragment@35/__overlay__/water_detect:bootmode:0", "/fragment@35/__overlay__/adapter_control:bootmode:0", "/fragment@40/__overlay__:bootmode:0";
		clk26m = "/fragment@58/__overlay__/sensor0@10:clocks:40", "/fragment@59/__overlay__/sensor1@10:clocks:40", "/fragment@60/__overlay__/sensor2@2D:clocks:40", "/fragment@61/__overlay__/sensor3@21:clocks:40";
		connfem = "/fragment@15:target:0";
		consys = "/fragment@11:target:0";
		dispsys_config = "/fragment@20:target:0";
		dsi0 = "/fragment@21:target:0";
		dsi_te = "/fragment@71:target:0";
		extcon_usb = "/fragment@40:target:0";
		gpio = "/fragment@69:target:0";
		gpio_usage_mapping = "/fragment@68:target:0";
		gps = "/fragment@14:target:0";
		hvdcp20 = "/fragment@38:target:0";
		i2c0 = "/fragment@44:target:0", "/fragment@54:target:0";
		i2c1 = "/fragment@28:target:0", "/fragment@49:target:0", "/fragment@63:target:0";
		i2c2 = "/fragment@61:target:0";
		i2c3 = "/fragment@8:target:0";
		i2c4 = "/fragment@59:target:0";
		i2c6 = "/fragment@9:target:0", "/fragment@43:target:0", "/fragment@47:target:0";
		i2c7 = "/fragment@17:target:0", "/fragment@29:target:0", "/fragment@30:target:0";
		i2c8 = "/fragment@60:target:0";
		i2c9 = "/fragment@58:target:0";
		irtx_pwm = "/fragment@34:target:0";
		keypad = "/fragment@76:target:0";
		lk_charger = "/fragment@42:target:0";
		md1_sim1_hot_plug_eint = "/fragment@75:target:0";
		mmlsys_config = "/fragment@26:target:0";
		mrdump_ext_rst = "/fragment@70:target:0";
		mt6368_vfp = "/fragment@3/__overlay__/fingerprint@0:vmch-supply:0";
		mt6368_vibr = "/fragment@61/__overlay__/sensor3@21:dovdd-supply:0";
		mt6368_vrf18_aif = "/fragment@58/__overlay__/sensor0@10:dovdd-supply:0", "/fragment@59/__overlay__/sensor1@10:dovdd-supply:0", "/fragment@60/__overlay__/sensor2@2D:dovdd-supply:0";
		mt6368_vtp = "/fragment@32/__overlay__/touch@0:vtouch-supply:0";
		mt6375_chg = "/fragment@27:target:0", "/fragment@40/__overlay__:charger:0", "/fragment@41/__overlay__:charger:0", "/fragment@45/__overlay__:charger:0";
		mt6375_typec = "/fragment@22:target:0";
		mtk_composite_v4l2_1 = "/fragment@56:target:0";
		mtk_composite_v4l2_2 = "/fragment@57:target:0";
		mtk_gauge = "/fragment@45/__overlay__:gauge:0";
		mtk_leds = "/fragment@5:target:0";
		mtkfb = "/fragment@19:target:0";
		nofem = "/fragment@15/__overlay__/epa_elna_mtk:parts:0", "/fragment@15/__overlay__/epa_elna_mtk:parts:4";
		odm = "/fragment@2:target:0", "/fragment@35:target:0", "/fragment@46:target:0", "/fragment@50:target:0", "/fragment@64:target:0", "/fragment@65:target:0";
		pdc = "/fragment@25:target:0", "/fragment@39:target:0";
		pe2 = "/fragment@36:target:0";
		pe5 = "/fragment@45:target:0";
		pio = "/fragment@2/__overlay__/fingerprint:interrupt-parent:0", "/fragment@2/__overlay__/tran_audio:typec_usb_change_gpio:0", "/fragment@3/__overlay__/fingerprint@0:interrupt-parent:0", "/fragment@3/__overlay__/fingerprint@0:irq-gpio-std:0", "/fragment@3/__overlay__/fingerprint@0:reset-gpio-std:0", "/fragment@4:target:0", "/fragment@7:target:0", "/fragment@8/__overlay__/nfc_nxp@28:nxp,pn544-irq:0", "/fragment@8/__overlay__/nfc_nxp@28:nxp,pn544-ven:0", "/fragment@12:target:0", "/fragment@13:target:0", "/fragment@18:target:0", "/fragment@21/__overlay__/panel1@0:vci-gpios:0", "/fragment@21/__overlay__/panel1@0:reset-gpios:0", "/fragment@27/__overlay__:tc30_dm_gpio:0", "/fragment@30/__overlay__/haptic_hv@5A:irq-gpio:0", "/fragment@30/__overlay__/haptic_hv@5A:reset-gpio:0", "/fragment@32/__overlay__/touch@0:focaltech,irq-gpio:0", "/fragment@32/__overlay__/touch@0:focaltech,reset-gpio:0", "/fragment@32/__overlay__/touch@0:focaltech,iovdd-gpio:0", "/fragment@33:target:0", "/fragment@34/__overlay__:ldo-gpio:0", "/fragment@43/__overlay__/hl7138_master@55:hl7138,intr-gpios:0", "/fragment@44/__overlay__/hl7139_slave_change@55:hl7138,intr-gpios:0", "/fragment@48:target:0", "/fragment@51:target:0", "/fragment@53:target:0", "/fragment@55:target:0", "/fragment@64/__overlay__/vs2pmu:gpio:0", "/fragment@64/__overlay__/ldoid1:gpio:0", "/fragment@64/__overlay__/ldoid7:gpio:0", "/fragment@64/__overlay__/gpioldo_vdd0:gpio:0", "/fragment@64/__overlay__/gpioldo_vda0:gpio:0", "/fragment@64/__overlay__/gpioldo_af0:gpio:0", "/fragment@64/__overlay__/gpioldo_af1:gpio:0", "/fragment@64/__overlay__/gpioldo_af2:gpio:0", "/fragment@64/__overlay__/gpioldo_af3:gpio:0", "/fragment@65/__overlay__/tetras_ipc:gpio-ipc:0", "/fragment@65/__overlay__/cam-aiisp-dev:fsync-intr0:0", "/fragment@65/__overlay__/cam-aiisp-dev:fsync-intr1:0", "/fragment@65/__overlay__/tetras_pm_ctrl:gpio-wake-up:0", "/fragment@65/__overlay__/tetras_pm_ctrl:gpio-hd-rst:0", "/fragment@65/__overlay__/tetras_pm_ctrl:gpio-rst-req:0", "/fragment@65/__overlay__/tetras_pm_ctrl:gpio-tcxo-en:0", "/fragment@65/__overlay__/tetras_pm_ctrl:v1-vdd1-0v75:0", "/fragment@65/__overlay__/tetras_pm_ctrl:v1-vdd2-0v75:0", "/fragment@65/__overlay__/tetras_pm_ctrl:v1-vdd3-1v8:0", "/fragment@65/__overlay__/tetras_pm_ctrl:v1-vdd4-1v1:0", "/fragment@65/__overlay__/tetras_pm_ctrl:v1-vdd5-0v6:0", "/fragment@65/__overlay__/tetras_pm_ctrl:v1-vdd1-0v75-lsw:0", "/fragment@65/__overlay__/tetras_pm_ctrl:v1-vdd8-1v8:0", "/fragment@66:target:0", "/fragment@68/__overlay__:GPIO_FDD_BAND_SUPPORT_DETECT_1ST_PIN:0", "/fragment@68/__overlay__:GPIO_SIM1_HOT_PLUG:0", "/fragment@68/__overlay__:GPIO_SIM2_SCLK:0", "/fragment@68/__overlay__:GPIO_SIM2_SRST:0", "/fragment@68/__overlay__:GPIO_SIM2_SIO:0", "/fragment@68/__overlay__:GPIO_SIM1_SIO:0", "/fragment@68/__overlay__:GPIO_SIM1_SRST:0", "/fragment@68/__overlay__:GPIO_SIM1_SCLK:0", "/fragment@70/__overlay__:interrupt-parent:0", "/fragment@71/__overlay__:interrupt-parent:0", "/fragment@72/__overlay__:interrupt-parent:0", "/fragment@73/__overlay__:interrupt-parent:0", "/fragment@74/__overlay__:interrupt-parent:0";
		pmic_adc = "/fragment@41/__overlay__:io-channels:0";
		qm42195 = "/fragment@15/__overlay__/epa_elna_mtk:parts:72", "/fragment@15/__overlay__/epa_elna_mtk:parts:80", "/fragment@15/__overlay__/epa_elna_mtk:parts:88", "/fragment@15/__overlay__/epa_elna_mtk:parts:96";
		qm45197 = "/fragment@15/__overlay__/epa_elna_mtk:parts:76", "/fragment@15/__overlay__/epa_elna_mtk:parts:84", "/fragment@15/__overlay__/epa_elna_mtk:parts:92", "/fragment@15/__overlay__/epa_elna_mtk:parts:100";
		rt5133_eint = "/fragment@74:target:0";
		seninf_top = "/fragment@52:target:0";
		sound = "/fragment@16:target:0";
		spi0 = "/fragment@32:target:0";
		spi1 = "/fragment@67:target:0";
		spi3 = "/fragment@3:target:0";
		subpmic_pmu_eint = "/fragment@72:target:0";
		tc30 = "/fragment@37:target:0";
		thermal_zones = "/fragment@62:target:0";
		topckgen_clk = "/fragment@58/__overlay__/sensor0@10:clocks:0", "/fragment@58/__overlay__/sensor0@10:clocks:8", "/fragment@58/__overlay__/sensor0@10:clocks:16", "/fragment@58/__overlay__/sensor0@10:clocks:24", "/fragment@58/__overlay__/sensor0@10:clocks:32", "/fragment@58/__overlay__/sensor0@10:clocks:44", "/fragment@58/__overlay__/sensor0@10:clocks:52", "/fragment@59/__overlay__/sensor1@10:clocks:0", "/fragment@59/__overlay__/sensor1@10:clocks:8", "/fragment@59/__overlay__/sensor1@10:clocks:16", "/fragment@59/__overlay__/sensor1@10:clocks:24", "/fragment@59/__overlay__/sensor1@10:clocks:32", "/fragment@59/__overlay__/sensor1@10:clocks:44", "/fragment@59/__overlay__/sensor1@10:clocks:52", "/fragment@60/__overlay__/sensor2@2D:clocks:0", "/fragment@60/__overlay__/sensor2@2D:clocks:8", "/fragment@60/__overlay__/sensor2@2D:clocks:16", "/fragment@60/__overlay__/sensor2@2D:clocks:24", "/fragment@60/__overlay__/sensor2@2D:clocks:32", "/fragment@60/__overlay__/sensor2@2D:clocks:44", "/fragment@60/__overlay__/sensor2@2D:clocks:52", "/fragment@61/__overlay__/sensor3@21:clocks:0", "/fragment@61/__overlay__/sensor3@21:clocks:8", "/fragment@61/__overlay__/sensor3@21:clocks:16", "/fragment@61/__overlay__/sensor3@21:clocks:24", "/fragment@61/__overlay__/sensor3@21:clocks:32", "/fragment@61/__overlay__/sensor3@21:clocks:44", "/fragment@61/__overlay__/sensor3@21:clocks:52";
		touch = "/fragment@31:target:0", "/fragment@73:target:0";
		tran_sensor_cust = "/fragment@10:target:0";
		typec_mux_switch = "/fragment@23:target:0";
		u2port0 = "/fragment@0:target:0";
		usb_dp_selector = "/fragment@24:target:0";
		wlan7205c = "/fragment@15/__overlay__/epa_elna_mtk:parts:44", "/fragment@15/__overlay__/epa_elna_mtk:parts:52", "/fragment@15/__overlay__/epa_elna_mtk:parts:60", "/fragment@15/__overlay__/epa_elna_mtk:parts:68";
		wlan7207c = "/fragment@15/__overlay__/epa_elna_mtk:parts:12", "/fragment@15/__overlay__/epa_elna_mtk:parts:20", "/fragment@15/__overlay__/epa_elna_mtk:parts:28", "/fragment@15/__overlay__/epa_elna_mtk:parts:36";
		wlan7207h = "/fragment@15/__overlay__/epa_elna_mtk:parts:8", "/fragment@15/__overlay__/epa_elna_mtk:parts:16", "/fragment@15/__overlay__/epa_elna_mtk:parts:24", "/fragment@15/__overlay__/epa_elna_mtk:parts:32", "/fragment@15/__overlay__/epa_elna_mtk:parts:40", "/fragment@15/__overlay__/epa_elna_mtk:parts:48", "/fragment@15/__overlay__/epa_elna_mtk:parts:56", "/fragment@15/__overlay__/epa_elna_mtk:parts:64";
	};

	__local_fixups__ {

		fragment@11 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
			};
		};

		fragment@14 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
				pinctrl-6 = <0x0>;
			};
		};

		fragment@16 {

			__overlay__ {

				mediatek,speaker-codec {
					sound-dai = <0x0>;
				};
			};
		};

		fragment@19 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
			};
		};

		fragment@2 {

			__overlay__ {

				fingerprint {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
				};
			};
		};

		fragment@20 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
			};
		};

		fragment@21 {

			__overlay__ {

				panel1@0 {
					vdd-supply = <0x0>;

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};

				ports {

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};
			};
		};

		fragment@22 {

			__overlay__ {

				port {

					endpoint@0 {
						remote-endpoint = <0x0>;
					};
				};
			};
		};

		fragment@23 {

			__overlay__ {

				port {

					endpoint@0 {
						remote-endpoint = <0x0>;
					};
				};
			};
		};

		fragment@3 {

			__overlay__ {

				fingerprint@0 {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
					pinctrl-5 = <0x0>;
				};
			};
		};

		fragment@47 {

			__overlay__ {

				rfc_ta@1b {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
				};
			};
		};

		fragment@50 {

			__overlay__ {

				usb_control {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-10 = <0x0>;
					pinctrl-11 = <0x0>;
					pinctrl-12 = <0x0>;
					pinctrl-13 = <0x0>;
					pinctrl-14 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
					pinctrl-5 = <0x0>;
					pinctrl-6 = <0x0>;
					pinctrl-7 = <0x0>;
					pinctrl-8 = <0x0>;
					pinctrl-9 = <0x0>;
				};
			};
		};

		fragment@52 {

			__overlay__ {

				seninf_csi_port_0 {

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};

				seninf_csi_port_1 {

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};

				seninf_csi_port_2 {

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};

				seninf_csi_port_3 {

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};
			};
		};

		fragment@54 {

			__overlay__ {

				aw36515@63 {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;

					flash@0 {

						port@0 {

							endpoint {
								remote-endpoint = <0x0>;
							};
						};
					};
				};
			};
		};

		fragment@56 {

			__overlay__ {

				port@0 {

					endpoint {
						remote-endpoint = <0x0>;
					};
				};
			};
		};

		fragment@57 {

			__overlay__ {

				port@0 {

					endpoint {
						remote-endpoint = <0x0>;
					};
				};

				port@1 {

					endpoint {
						remote-endpoint = <0x0>;
					};
				};

				port@2 {

					endpoint {
						remote-endpoint = <0x0>;
					};
				};

				port@3 {

					endpoint {
						remote-endpoint = <0x0>;
					};
				};
			};
		};

		fragment@58 {

			__overlay__ {

				camera_af_main@0C {
					vin-supply = <0x0>;

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};

				sensor0@10 {
					avdd-supply = <0x0>;
					avdd1-supply = <0x0>;
					dvdd-supply = <0x0>;
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
					pinctrl-5 = <0x0>;
					pinctrl-6 = <0x0>;

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};
			};
		};

		fragment@59 {

			__overlay__ {

				camera_af_front@0C {
					vin-supply = <0x0>;

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};

				sensor1@10 {
					avdd-supply = <0x0>;
					dvdd-supply = <0x0>;
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
					pinctrl-5 = <0x0>;
					pinctrl-6 = <0x0>;

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};
			};
		};

		fragment@6 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-10 = <0x0>;
				pinctrl-11 = <0x0>;
				pinctrl-12 = <0x0>;
				pinctrl-13 = <0x0>;
				pinctrl-14 = <0x0>;
				pinctrl-15 = <0x0>;
				pinctrl-16 = <0x0>;
				pinctrl-17 = <0x0>;
				pinctrl-18 = <0x0>;
				pinctrl-19 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
				pinctrl-6 = <0x0>;
				pinctrl-7 = <0x0>;
				pinctrl-8 = <0x0>;
				pinctrl-9 = <0x0>;
			};
		};

		fragment@60 {

			__overlay__ {

				camera_af_main_two@0C {
					vin-supply = <0x0>;

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};

				sensor2@2D {
					avdd-supply = <0x0>;
					dvdd-supply = <0x0>;
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
					pinctrl-5 = <0x0>;
					pinctrl-6 = <0x0>;

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};
			};
		};

		fragment@61 {

			__overlay__ {

				camera_af_main_three@0C {
					vin-supply = <0x0>;

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};

				sensor3@21 {
					avdd-supply = <0x0>;
					dvdd-supply = <0x0>;
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
					pinctrl-5 = <0x0>;
					pinctrl-6 = <0x0>;

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};
			};
		};

		fragment@62 {

			__overlay__ {

				camera0 {
					thermal-sensors = <0x0>;
				};

				camera1 {
					thermal-sensors = <0x0>;
				};

				camera2 {
					thermal-sensors = <0x0>;
				};

				camera4 {
					thermal-sensors = <0x0>;
				};
			};
		};

		fragment@63 {

			__overlay__ {

				et5904@28 {
					VIND-supply = <0x0>;
				};
			};
		};

		fragment@64 {

			__overlay__ {

				gpioldo_vda0 {
					vin-supply = <0x0>;
				};

				gpioldo_vdd0 {
					vin-supply = <0x0>;
				};
			};
		};

		fragment@67 {

			__overlay__ {
				pinctrl-0 = <0x0>;
			};
		};
	};

	__symbols__ {
		ET5904LDO11 = "/fragment@63/__overlay__/et5904@28/regulators/ET5904LDO11";
		ET5904LDO17 = "/fragment@17/__overlay__/et5904@28/regulators/ET5904LDO17";
		ET5904LDO21 = "/fragment@63/__overlay__/et5904@28/regulators/ET5904LDO21";
		ET5904LDO27 = "/fragment@17/__overlay__/et5904@28/regulators/ET5904LDO27";
		ET5904LDO31 = "/fragment@63/__overlay__/et5904@28/regulators/ET5904LDO31";
		ET5904LDO37 = "/fragment@17/__overlay__/et5904@28/regulators/ET5904LDO37";
		ET5904LDO41 = "/fragment@63/__overlay__/et5904@28/regulators/ET5904LDO41";
		ET5904LDO47 = "/fragment@17/__overlay__/et5904@28/regulators/ET5904LDO47";
		adapter_control = "/fragment@35/__overlay__/adapter_control";
		ambient_detect = "/fragment@35/__overlay__/ambient_detect";
		aud_clk_mosi_off = "/fragment@7/__overlay__/aud_clk_mosi_off";
		aud_clk_mosi_on = "/fragment@7/__overlay__/aud_clk_mosi_on";
		aud_dat_miso0_off = "/fragment@7/__overlay__/aud_dat_miso0_off";
		aud_dat_miso0_on = "/fragment@7/__overlay__/aud_dat_miso0_on";
		aud_dat_miso1_off = "/fragment@7/__overlay__/aud_dat_miso1_off";
		aud_dat_miso1_on = "/fragment@7/__overlay__/aud_dat_miso1_on";
		aud_dat_miso2_off = "/fragment@7/__overlay__/aud_dat_miso2_off";
		aud_dat_miso2_on = "/fragment@7/__overlay__/aud_dat_miso2_on";
		aud_dat_mosi_ch34_off = "/fragment@7/__overlay__/aud_dat_mosi_ch34_off";
		aud_dat_mosi_ch34_on = "/fragment@7/__overlay__/aud_dat_mosi_ch34_on";
		aud_dat_mosi_off = "/fragment@7/__overlay__/aud_dat_mosi_off";
		aud_dat_mosi_on = "/fragment@7/__overlay__/aud_dat_mosi_on";
		aud_gpio_i2s0_off = "/fragment@7/__overlay__/aud_gpio_i2s0_off";
		aud_gpio_i2s0_on = "/fragment@7/__overlay__/aud_gpio_i2s0_on";
		aud_gpio_i2s3_off = "/fragment@7/__overlay__/aud_gpio_i2s3_off";
		aud_gpio_i2s3_on = "/fragment@7/__overlay__/aud_gpio_i2s3_on";
		aud_nle_mosi_off = "/fragment@7/__overlay__/aud_nle_mosi_off";
		aud_nle_mosi_on = "/fragment@7/__overlay__/aud_nle_mosi_on";
		aw36515 = "/fragment@54/__overlay__/aw36515@63";
		aw36515_pins_default = "/fragment@55/__overlay__/default";
		aw36515_pins_hwen_high = "/fragment@55/__overlay__/hwen_high";
		aw36515_pins_hwen_low = "/fragment@55/__overlay__/hwen_low";
		camera0 = "/fragment@62/__overlay__/camera0";
		camera1 = "/fragment@62/__overlay__/camera1";
		camera2 = "/fragment@62/__overlay__/camera2";
		camera4 = "/fragment@62/__overlay__/camera4";
		camera_pins_cam0_mclk_2ma = "/fragment@53/__overlay__/camera_pins_cam0_mclk_2ma";
		camera_pins_cam0_mclk_4ma = "/fragment@53/__overlay__/camera_pins_cam0_mclk_4ma";
		camera_pins_cam0_mclk_6ma = "/fragment@53/__overlay__/camera_pins_cam0_mclk_6ma";
		camera_pins_cam0_mclk_8ma = "/fragment@53/__overlay__/camera_pins_cam0_mclk_8ma";
		camera_pins_cam0_mclk_off = "/fragment@53/__overlay__/camera_pins_cam0_mclk_off";
		camera_pins_cam0_rst_0 = "/fragment@53/__overlay__/cam0@0";
		camera_pins_cam0_rst_1 = "/fragment@53/__overlay__/cam0@1";
		camera_pins_cam1_mclk_2ma = "/fragment@53/__overlay__/camera_pins_cam1_mclk_2ma";
		camera_pins_cam1_mclk_4ma = "/fragment@53/__overlay__/camera_pins_cam1_mclk_4ma";
		camera_pins_cam1_mclk_6ma = "/fragment@53/__overlay__/camera_pins_cam1_mclk_6ma";
		camera_pins_cam1_mclk_8ma = "/fragment@53/__overlay__/camera_pins_cam1_mclk_8ma";
		camera_pins_cam1_mclk_off = "/fragment@53/__overlay__/camera_pins_cam1_mclk_off";
		camera_pins_cam1_rst_0 = "/fragment@53/__overlay__/cam1@0";
		camera_pins_cam1_rst_1 = "/fragment@53/__overlay__/cam1@1";
		camera_pins_cam2_mclk_2ma = "/fragment@53/__overlay__/camera_pins_cam2_mclk_2ma";
		camera_pins_cam2_mclk_4ma = "/fragment@53/__overlay__/camera_pins_cam2_mclk_4ma";
		camera_pins_cam2_mclk_6ma = "/fragment@53/__overlay__/camera_pins_cam2_mclk_6ma";
		camera_pins_cam2_mclk_8ma = "/fragment@53/__overlay__/camera_pins_cam2_mclk_8ma";
		camera_pins_cam2_mclk_off = "/fragment@53/__overlay__/camera_pins_cam2_mclk_off";
		camera_pins_cam2_rst_0 = "/fragment@53/__overlay__/cam2@0";
		camera_pins_cam2_rst_1 = "/fragment@53/__overlay__/cam2@1";
		camera_pins_cam3_mclk_2ma = "/fragment@53/__overlay__/camera_pins_cam3_mclk_2ma";
		camera_pins_cam3_mclk_4ma = "/fragment@53/__overlay__/camera_pins_cam3_mclk_4ma";
		camera_pins_cam3_mclk_6ma = "/fragment@53/__overlay__/camera_pins_cam3_mclk_6ma";
		camera_pins_cam3_mclk_8ma = "/fragment@53/__overlay__/camera_pins_cam3_mclk_8ma";
		camera_pins_cam3_mclk_off = "/fragment@53/__overlay__/camera_pins_cam3_mclk_off";
		camera_pins_cam3_rst_0 = "/fragment@53/__overlay__/cam3@0";
		camera_pins_cam3_rst_1 = "/fragment@53/__overlay__/cam3@1";
		camera_pins_default = "/fragment@53/__overlay__/camdefault";
		conninfra_pins_default = "/fragment@12/__overlay__/conninfra_pins_default";
		conninfra_pins_tcxo_clr = "/fragment@12/__overlay__/conninfra_tcxo_clr@gpio";
		conninfra_pins_tcxo_set = "/fragment@12/__overlay__/conninfra_tcxo_set@gpio";
		ctp_pins_default = "/fragment@33/__overlay__/eint0default";
		ctp_pins_eint_as_int = "/fragment@33/__overlay__/ctp_eint@0";
		ctp_pins_eint_output0 = "/fragment@33/__overlay__/eintoutput0";
		ctp_pins_eint_output1 = "/fragment@33/__overlay__/eintoutput1";
		ctp_pins_rst_output0 = "/fragment@33/__overlay__/rstoutput0";
		ctp_pins_rst_output1 = "/fragment@33/__overlay__/rstoutput1";
		dsi_out = "/fragment@21/__overlay__/ports/port/endpoint";
		fingerprint = "/fragment@2/__overlay__/fingerprint";
		fingerprint_default = "/fragment@4/__overlay__/fingerprint_default";
		fingerprint_eint = "/fragment@4/__overlay__/gpio136_eint";
		fingerprint_eint_pull_down = "/fragment@4/__overlay__/gpio136_eint_pull_down";
		fingerprint_rst_one = "/fragment@4/__overlay__/rst_out_one";
		fingerprint_rst_zero = "/fragment@4/__overlay__/rst_out_zero";
		fingerprint_spi_default = "/fragment@4/__overlay__/tran_fp_spimode_default";
		fl_core_0 = "/fragment@54/__overlay__/aw36515@63/flash@0/port@0/endpoint";
		flashlight_0 = "/fragment@56/__overlay__/port@0/endpoint";
		fs16xx = "/fragment@28/__overlay__/fs16xx@34";
		fs16xx1 = "/fragment@28/__overlay__/fs16xx@35";
		gpio_i2c_sclk_mode = "/fragment@48/__overlay__/i2c_sclk_mode";
		gpio_i2c_sda_mode = "/fragment@48/__overlay__/i2c_sda_mode";
		gpioldo_af0 = "/fragment@64/__overlay__/gpioldo_af0";
		gpioldo_af1 = "/fragment@64/__overlay__/gpioldo_af1";
		gpioldo_af2 = "/fragment@64/__overlay__/gpioldo_af2";
		gpioldo_af3 = "/fragment@64/__overlay__/gpioldo_af3";
		gpioldo_vda0 = "/fragment@64/__overlay__/gpioldo_vda0";
		gpioldo_vdd0 = "/fragment@64/__overlay__/gpioldo_vdd0";
		gps_l1_lna_pins_dsp_ctrl = "/fragment@13/__overlay__/gps_l1_lna@1";
		gps_l1_lna_pins_oh = "/fragment@13/__overlay__/gps_l1_lna@2";
		gps_l1_lna_pins_ol = "/fragment@13/__overlay__/gps_l1_lna@0";
		gps_l5_lna_pins_dsp_ctrl = "/fragment@13/__overlay__/gps_l5_lna@1";
		gps_l5_lna_pins_oh = "/fragment@13/__overlay__/gps_l5_lna@2";
		gps_l5_lna_pins_ol = "/fragment@13/__overlay__/gps_l5_lna@0";
		gps_pins_default = "/fragment@13/__overlay__/gps_default";
		hvdcp_boost_5v = "/fragment@51/__overlay__/hvdcp_boost_5v";
		hvdcp_boost_9v = "/fragment@51/__overlay__/hvdcp_boost_9v";
		hvdcp_handshake = "/fragment@51/__overlay__/hvdcp_handshake";
		hvdcp_reset = "/fragment@51/__overlay__/hvdcp_reset";
		ldoid1 = "/fragment@64/__overlay__/ldoid1";
		ldoid7 = "/fragment@64/__overlay__/ldoid7";
		led6 = "/fragment@2/__overlay__/led@6";
		main_af = "/fragment@58/__overlay__/camera_af_main@0C/port/endpoint";
		main_af_cam1 = "/fragment@59/__overlay__/camera_af_front@0C/port/endpoint";
		main_af_cam1_endpoint = "/fragment@57/__overlay__/port@1/endpoint";
		main_af_cam2 = "/fragment@60/__overlay__/camera_af_main_two@0C/port/endpoint";
		main_af_cam2_endpoint = "/fragment@57/__overlay__/port@2/endpoint";
		main_af_cam3 = "/fragment@61/__overlay__/camera_af_main_three@0C/port/endpoint";
		main_af_cam3_endpoint = "/fragment@57/__overlay__/port@3/endpoint";
		main_af_endpoint = "/fragment@57/__overlay__/port@0/endpoint";
		mtk_camera_eeprom0 = "/fragment@58/__overlay__/camera_eeprom0@50";
		mtk_camera_eeprom1 = "/fragment@59/__overlay__/camera_eeprom1@51";
		mtk_camera_eeprom2 = "/fragment@60/__overlay__/camera_eeprom2@55";
		mtk_camera_eeprom3 = "/fragment@61/__overlay__/camera_eeprom3@51";
		mtkfb_pins_default = "/fragment@18/__overlay__/dispdefault";
		mtkfb_pins_lcm_dsi_te = "/fragment@18/__overlay__/lcm_dsi_te";
		mtkfb_pins_lcm_rst_out0_gpio = "/fragment@18/__overlay__/lcm_rst_out0_gpio";
		mtkfb_pins_lcm_rst_out1_gpio = "/fragment@18/__overlay__/lcm_rst_out1_gpio";
		panel_in1 = "/fragment@21/__overlay__/panel1@0/port/endpoint";
		pd_adapter = "/pd_adapter";
		pid_chg = "/fragment@35/__overlay__/pid_chg";
		rfc_dual_high = "/fragment@51/__overlay__/rfc_dual_high";
		rfc_high_low = "/fragment@51/__overlay__/rfc_high_low";
		rfc_i2c_mode = "/fragment@51/__overlay__/rfc_i2c_mode";
		rfc_reset = "/fragment@51/__overlay__/rfc_reset";
		rfc_usb_switch_off = "/fragment@51/__overlay__/usb_switch_off";
		rfc_usb_switch_on = "/fragment@51/__overlay__/usb_switch_on";
		seninf_csi_port_0 = "/fragment@52/__overlay__/seninf_csi_port_0";
		seninf_csi_port_0_in = "/fragment@52/__overlay__/seninf_csi_port_0/port/endpoint";
		seninf_csi_port_1 = "/fragment@52/__overlay__/seninf_csi_port_1";
		seninf_csi_port_1_in = "/fragment@52/__overlay__/seninf_csi_port_1/port/endpoint";
		seninf_csi_port_2 = "/fragment@52/__overlay__/seninf_csi_port_2";
		seninf_csi_port_2_in = "/fragment@52/__overlay__/seninf_csi_port_2/port/endpoint";
		seninf_csi_port_3 = "/fragment@52/__overlay__/seninf_csi_port_3";
		seninf_csi_port_3_in = "/fragment@52/__overlay__/seninf_csi_port_3/port/endpoint";
		sensor0 = "/fragment@58/__overlay__/sensor0@10";
		sensor0_out = "/fragment@58/__overlay__/sensor0@10/port/endpoint";
		sensor1 = "/fragment@59/__overlay__/sensor1@10";
		sensor1_out = "/fragment@59/__overlay__/sensor1@10/port/endpoint";
		sensor2 = "/fragment@60/__overlay__/sensor2@2D";
		sensor2_out = "/fragment@60/__overlay__/sensor2@2D/port/endpoint";
		sensor3 = "/fragment@61/__overlay__/sensor3@21";
		sensor3_out = "/fragment@61/__overlay__/sensor3@21/port/endpoint";
		spk = "/fragment@9/__overlay__/speaker_amp@5c";
		ssusb_mux = "/fragment@23/__overlay__/port/endpoint@0";
		ta_off = "/fragment@51/__overlay__/ta_off";
		ta_reset = "/fragment@51/__overlay__/ta_reset";
		tc30_handshake = "/fragment@51/__overlay__/tc30_handshake";
		tc30_reset = "/fragment@51/__overlay__/tc30_reset";
		tcpc_typec_usb = "/fragment@22/__overlay__/port/endpoint@0";
		temp_forecast = "/fragment@35/__overlay__/temp_forecast";
		tetras_ipc = "/fragment@65/__overlay__/tetras_ipc";
		tetras_pm_ctrl = "/fragment@65/__overlay__/tetras_pm_ctrl";
		tetras_spibridge_mode = "/fragment@66/__overlay__/tetras_spibridge_mode";
		tran_audio = "/fragment@2/__overlay__/tran_audio";
		tran_auto_test = "/fragment@35/__overlay__/tran_auto_test";
		tran_battery = "/fragment@35/__overlay__/tran_battery";
		tran_otg = "/fragment@35/__overlay__/tran_otg";
		tran_touch = "/fragment@32/__overlay__/touch@0";
		usb_control = "/fragment@50/__overlay__/usb_control";
		usb_control_default = "/fragment@51/__overlay__/usb_control_default";
		usb_switch = "/fragment@46/__overlay__/usb_switch";
		vibrator0 = "/fragment@2/__overlay__/vibrator@0";
		vow_clk_miso_off = "/fragment@7/__overlay__/vow_clk_miso_off";
		vow_clk_miso_on = "/fragment@7/__overlay__/vow_clk_miso_on";
		vow_dat_miso_off = "/fragment@7/__overlay__/vow_dat_miso_off";
		vow_dat_miso_on = "/fragment@7/__overlay__/vow_dat_miso_on";
		vs2pmu = "/fragment@64/__overlay__/vs2pmu";
		was4783 = "/fragment@29/__overlay__/was4783@42";
		water_detect = "/fragment@35/__overlay__/water_detect";
	};

	fragment@0 {
		target = <0xffffffff>;

		__overlay__ {
			mediatek,eye-src = <0xd>;
			mediatek,eye-src-host = <0xd>;
			mediatek,eye-term = <0x4>;
			mediatek,eye-term-host = <0x4>;
			mediatek,eye-vrt = <0x5>;
			mediatek,eye-vrt-host = <0x5>;
			mediatek,rev6 = <0x1>;
			mediatek,rev6-host = <0x1>;
		};
	};

	fragment@1 {
		target = <0xffffffff>;

		__overlay__ {
			bootargs_ext = "console=tty0 root=/dev/ram androidboot.hardware=mt6895";
		};
	};

	fragment@10 {
		target = <0xffffffff>;

		__overlay__ {
			ml_lcm_info = <0x2d0 0x7f 0x37 0x2c>;
			ml_nv_info = <0x1 0x1 0x1>;
			nv_restore_time = <0x3>;
			un_als_support = <0x1 0x0 0x0 0x0>;
		};
	};

	fragment@11 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x1b>;
			pinctrl-1 = <0x1c>;
			pinctrl-2 = <0x1d>;
			pinctrl-names = "default", "conninfra_tcxo_set", "conninfra_tcxo_clr";
			status = "okay";
			tcxo_support = "false";
		};
	};

	fragment@12 {
		target = <0xffffffff>;

		__overlay__ {

			conninfra_pins_default {
				phandle = <0x1b>;
			};

			conninfra_tcxo_clr@gpio {
				phandle = <0x1d>;
			};

			conninfra_tcxo_set@gpio {
				phandle = <0x1c>;
			};
		};
	};

	fragment@13 {
		target = <0xffffffff>;

		__overlay__ {

			gps_default {
				phandle = <0x1e>;
			};

			gps_l1_lna@0 {
				phandle = <0x1f>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x1000>;
				};
			};

			gps_l1_lna@1 {
				phandle = <0x20>;

				pins_cmd_dat {
					pinmux = <0x1006>;
				};
			};

			gps_l1_lna@2 {
				phandle = <0x21>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x1000>;
				};
			};

			gps_l5_lna@0 {
				phandle = <0x22>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x1100>;
				};
			};

			gps_l5_lna@1 {
				phandle = <0x23>;

				pins_cmd_dat {
					pinmux = <0x1106>;
				};
			};

			gps_l5_lna@2 {
				phandle = <0x24>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x1100>;
				};
			};
		};
	};

	fragment@14 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x1e>;
			pinctrl-1 = <0x1f>;
			pinctrl-2 = <0x20>;
			pinctrl-3 = <0x21>;
			pinctrl-4 = <0x22>;
			pinctrl-5 = <0x23>;
			pinctrl-6 = <0x24>;
			pinctrl-names = "default", "gps_l1_lna_disable", "gps_l1_lna_dsp_ctrl", "gps_l1_lna_enable", "gps_l5_lna_disable", "gps_l5_lna_dsp_ctrl", "gps_l5_lna_enable";
			status = "okay";
		};
	};

	fragment@15 {
		target = <0xffffffff>;

		__overlay__ {

			epa_elna_mtk {
				parts = <0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff>;

				bt {

					flags-1 {
						bypass;
					};

					flags-10 {
						epa_elna;
					};

					flags-11 {
						bypass;
					};

					flags-12 {
						epa_elna;
					};

					flags-2 {
						epa_elna;
					};

					flags-3 {
						bypass;
					};

					flags-4 {
						epa_elna;
					};

					flags-5 {
						bypass;
					};

					flags-6 {
						epa_elna;
					};

					flags-7 {
						bypass;
					};

					flags-8 {
						epa_elna;
					};

					flags-9 {
						bypass;
					};
				};

				wifi {

					flags-1 {
						open-loop;
					};

					flags-10 {
						open-loop;
					};

					flags-2 {
						open-loop;
					};

					flags-5 {
						open-loop;
					};

					flags-6 {
						open-loop;
					};

					flags-9 {
						open-loop;
					};
				};
			};
		};
	};

	fragment@16 {
		target = <0xffffffff>;

		__overlay__ {
			mediatek,spk-i2s = <0x3 0x0>;

			mediatek,speaker-codec {
				sound-dai = <0x25>;
			};
		};
	};

	fragment@17 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;

			et5904@28 {
				compatible = "tran,et5904";
				reg = <0x28>;

				regulators {

					ET5904LDO17 {
						phandle = <0x7c>;
						regulator-max-microvolt = <0x1b7740>;
						regulator-min-microvolt = <0x927c0>;
						regulator-name = "ET5904LDO17";
					};

					ET5904LDO27 {
						phandle = <0x2a>;
						regulator-max-microvolt = <0x1b7740>;
						regulator-min-microvolt = <0x927c0>;
						regulator-name = "ET5904LDO27";
					};

					ET5904LDO37 {
						phandle = <0x7b>;
						regulator-max-microvolt = <0x325aa0>;
						regulator-min-microvolt = <0x124f80>;
						regulator-name = "ET5904LDO37";
					};

					ET5904LDO47 {
						phandle = <0x6f>;
						regulator-max-microvolt = <0x325aa0>;
						regulator-min-microvolt = <0x124f80>;
						regulator-name = "ET5904LDO47";
					};
				};
			};
		};
	};

	fragment@18 {
		target = <0xffffffff>;

		__overlay__ {

			dispdefault {
				phandle = <0x26>;
			};

			lcm_dsi_te {
				phandle = <0x29>;

				pins_cmd_dat {
					pinmux = <0x2801>;
				};
			};

			lcm_rst_out0_gpio {
				phandle = <0x27>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x2900>;
					slew-rate = <0x1>;
				};
			};

			lcm_rst_out1_gpio {
				phandle = <0x28>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x2900>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@19 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x26>;
			pinctrl-1 = <0x27>;
			pinctrl-2 = <0x28>;
			pinctrl-3 = <0x29>;
			pinctrl-names = "dispdefault", "lcm_rst_out0_gpio", "lcm_rst_out1_gpio", "mode_te_te";
			status = "okay";
		};
	};

	fragment@2 {
		target = <0xffffffff>;

		__overlay__ {

			fingerprint {
				compatible = "tran_fp";
				debounce = <0x88 0x0>;
				interrupt-parent = <0xffffffff>;
				interrupts = <0x88 0x1 0x88 0x0>;
				phandle = <0x87>;
				pinctrl-0 = <0x1>;
				pinctrl-1 = <0x2>;
				pinctrl-2 = <0x3>;
				pinctrl-3 = <0x4>;
				pinctrl-4 = <0x5>;
				pinctrl-names = "tran_fp_default", "tran_fp_pin_irq", "tran_fp_irq_pull_down", "tran_fp_reset_high", "tran_fp_reset_low";
				status = "okay";
			};

			led@6 {
				compatible = "mediatek,lcd-backlight";
				data = <0x1>;
				led_mode = <0x4>;
				phandle = <0x86>;
				pwm_config = <0x0 0x1 0x0 0x0 0x0>;
			};

			tran_audio {
				compatible = "tran_audio,audio";
				phandle = <0x88>;
				typec_usb_change_gpio = <0xffffffff 0x6a 0x0>;
			};

			vibrator@0 {
				compatible = "mediatek,vibrator";
				phandle = <0x85>;
				vib_limit = <0x9>;
				vib_timer = <0x19>;
				vib_vol = <0x9>;
			};
		};
	};

	fragment@20 {
		target = <0xffffffff>;

		__overlay__ {
			helper-value = <0x0 0x1 0x1 0x1 0x1 0x1 0x1 0x0 0x1 0x0 0x0 0x1 0x1 0x0 0x1 0x1 0x1 0x1 0x0 0x0 0x1 0x1 0x0 0x1 0x1 0x1 0x0 0x0 0x0 0x0 0x1 0x0 0x0 0x0 0x0 0x0 0x1 0x0 0x0 0x0 0x1 0x0 0x1 0x1 0x1 0x1 0x0 0x1 0x1>;
			pinctrl-0 = <0x26>;
			pinctrl-1 = <0x27>;
			pinctrl-2 = <0x28>;
			pinctrl-3 = <0x29>;
			pinctrl-names = "dispdefault", "lcm_rst_out0_gpio", "lcm_rst_out1_gpio", "mode_te_te";
			status = "okay";
		};
	};

	fragment@21 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			status = "okay";

			panel1@0 {
				compatible = "ili7838e,fhdp,dsi,cmd,dsc,tm,tm,120hz,cl9";
				pinctrl-names = "default";
				reg = <0x0>;
				reset-gpios = <0xffffffff 0x29 0x0>;
				vci-gpios = <0xffffffff 0x33 0x0>;
				vdd-supply = <0x2a>;

				port {

					endpoint {
						phandle = <0x2c>;
						remote-endpoint = <0x2b>;
					};
				};
			};

			ports {

				port {

					endpoint {
						phandle = <0x2b>;
						remote-endpoint = <0x2c>;
					};
				};
			};
		};
	};

	fragment@22 {
		target = <0xffffffff>;

		__overlay__ {

			port {

				endpoint@0 {
					phandle = <0x2e>;
					remote-endpoint = <0x2d>;
				};
			};
		};
	};

	fragment@23 {
		target = <0xffffffff>;

		__overlay__ {
			accessory;
			mode-switch;
			orientation-switch;

			port {

				endpoint@0 {
					phandle = <0x2d>;
					remote-endpoint = <0x2e>;
				};
			};
		};
	};

	fragment@24 {
		target = <0xffffffff>;

		__overlay__ {
			status = "okay";
		};
	};

	fragment@25 {
		target = <0xffffffff>;

		__overlay__ {
			pd_vbus_upper_bound = <0x989680>;
		};
	};

	fragment@26 {
		target = <0xffffffff>;

		__overlay__ {
			racing-enable;
		};
	};

	fragment@27 {
		target = <0xffffffff>;

		__overlay__ {
			ieoc = <0x12c>;
			ircmp_r = <0x0>;
			ircmp_v = <0x0>;
			mivr = <0x11f8>;
			tc30_dm_gpio = <0xffffffff 0x78 0x0>;
		};
	};

	fragment@28 {
		target = <0xffffffff>;

		__overlay__ {

			fs16xx@34 {
				#sound-dai-cells = <0x0>;
				compatible = "foursemi,fs16xx";
				fsm,re25-dft = <0x1a00>;
				phandle = <0x25>;
				reg = <0x34>;
				status = "okay";
			};

			fs16xx@35 {
				#sound-dai-cells = <0x0>;
				compatible = "foursemi,fs16xx1";
				fsm,re25-dft = <0x1a00>;
				phandle = <0x8c>;
				reg = <0x35>;
				status = "okay";
			};
		};
	};

	fragment@29 {
		target = <0xffffffff>;

		__overlay__ {

			was4783@42 {
				compatible = "mediatek,was4783-audioswitch";
				phandle = <0x8d>;
				reg = <0x42>;
				status = "ok";
			};
		};
	};

	fragment@3 {
		target = <0xffffffff>;

		__overlay__ {

			fingerprint@0 {
				compatible = "tran_fp";
				debounce = <0x88 0x0>;
				goodix;
				interrupt-parent = <0xffffffff>;
				interrupts = <0x88 0x1 0x88 0x0>;
				irq-gpio = <0x88>;
				irq-gpio-std = <0xffffffff 0x88 0x0>;
				pinctrl-0 = <0x1>;
				pinctrl-1 = <0x2>;
				pinctrl-2 = <0x3>;
				pinctrl-3 = <0x4>;
				pinctrl-4 = <0x5>;
				pinctrl-5 = <0x6>;
				pinctrl-names = "tran_fp_default", "tran_fp_pin_irq", "tran_fp_irq_pull_down", "tran_fp_reset_high", "tran_fp_reset_low", "tran_fp_spi_default";
				reg = <0x0>;
				reset-gpio = <0x35>;
				reset-gpio-std = <0xffffffff 0x35 0x0>;
				spi-max-frequency = <0x2160ec0>;
				status = "okay";
				vmch-supply = <0xffffffff>;
			};
		};
	};

	fragment@30 {
		target = <0xffffffff>;

		__overlay__ {
			clock-frequency = <0x61a80>;

			haptic_hv@5A {
				aw8692x_bst_vol_default = <0x2134>;
				aw8692x_cont_brk_gain = [08];
				aw8692x_cont_brk_time = [08];
				aw8692x_cont_drv1_lvl = [7f];
				aw8692x_cont_drv1_time = [04];
				aw8692x_cont_drv2_time = [14];
				aw8692x_cont_lra_vrms = <0x3e8>;
				aw8692x_cont_track_margin = [0f];
				aw8692x_d2s_gain = [04];
				aw8692x_duration_time = [1e 3c 5a];
				aw8692x_f0_cali_percent = [07];
				aw8692x_gain_bypass = [01];
				aw8692x_is_enabled_auto_bst;
				aw8692x_is_enabled_track_en;
				aw8692x_trig_config = <0x1 0x20000 0x1 0x20000 0x1 0x20000>;
				compatible = "awinic,haptic_hv";
				f0_pre = <0x6a4>;
				irq-gpio = <0xffffffff 0xf 0x0>;
				mode = [05];
				reg = <0x5a>;
				reset-gpio = <0xffffffff 0x36 0x0>;
				status = "okay";
			};
		};
	};

	fragment@31 {
		target = <0xffffffff>;

		__overlay__ {
			supplier-0 = "ili7838e_fhdp_dsi_cmd_dsc_tm_tm_120hz_cl9, focaltech, ft3683g";
			supplier-num = <0x1>;
			supplier-resolution-0 = <0x10>;
			supplier-vendor-0 = "TM";
		};
	};

	fragment@32 {
		target = <0xffffffff>;

		__overlay__ {

			touch@0 {
				compatible = "focaltech,fts";
				focaltech,display-coords = <0x0 0x0 0x4eff 0xadbf>;
				focaltech,fod-function-support;
				focaltech,iovdd-gpio = <0xffffffff 0x34 0x0>;
				focaltech,irq-gpio = <0xffffffff 0x87 0x0>;
				focaltech,max-touch-number = <0xa>;
				focaltech,reset-gpio = <0xffffffff 0x3 0x0>;
				phandle = <0x8e>;
				reg = <0x0>;
				spi-max-frequency = <0x7a1200>;
				status = "okay";
				vtouch-supply = <0xffffffff>;
			};
		};
	};

	fragment@33 {
		target = <0xffffffff>;

		__overlay__ {

			ctp_eint@0 {
				phandle = <0x90>;

				pins_cmd_dat {
					pinmux = <0x8700>;
					slew-rate = <0x0>;
				};
			};

			eint0default {
				phandle = <0x8f>;
			};

			eintoutput0 {
				phandle = <0x91>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x8700>;
					slew-rate = <0x1>;
				};
			};

			eintoutput1 {
				phandle = <0x92>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x8700>;
					slew-rate = <0x1>;
				};
			};

			rstoutput0 {
				phandle = <0x93>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x300>;
					slew-rate = <0x1>;
				};
			};

			rstoutput1 {
				phandle = <0x94>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x300>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@34 {
		target = <0xffffffff>;

		__overlay__ {
			ldo-gpio = <0xffffffff 0xd7 0x0>;
			pwm_ch = <0x2>;
			status = "okay";
		};
	};

	fragment@35 {
		target = <0xffffffff>;

		__overlay__ {

			adapter_control {
				bootmode = <0xffffffff>;
				compatible = "transsion, adapter_control";
				phandle = <0x99>;
				polling_interval = <0x1e>;
				status = "okay";
			};

			ambient_detect {
				ambient_low_power_update_time = <0x4b0>;
				ambient_max_diff_pcb_temp = <0x32>;
				ambient_max_power = <0x8ca>;
				ambient_max_temp = <0x258>;
				ambient_max_temp_rate = <0x384>;
				ambient_max_update_time = <0x2a30>;
				ambient_min_temp = <0xffffff38>;
				compatible = "transsion,ambient_detect";
				min_detection_duration = <0x12c>;
				phandle = <0x9b>;
				polling_interval = <0x258>;
				power_delta_temp = <0x0 0xa 0x14 0x1e 0x28>;
				power_level = <0x190 0x320 0x4b0 0x640 0x7d0>;
			};

			pid_chg {
				compatible = "tran,pid_chg_algo";
				delta_current_max = <0x7a120>;
				ibus_measure_power_update_time = <0x3c>;
				max_steady_delta_temp = <0x1e>;
				max_steady_target_delta_temp = <0x32>;
				max_target_temp = <0x1068>;
				max_unsteady_cnt = <0x2>;
				normal_steady_delta_temp = <0x14>;
				phandle = <0x9a>;
				pid_array = <0x3e8 0x64 0x3a98>;
				polling_interval = <0x2710>;
				power_delta_temp = <0x0 0x64 0xc8 0x12c 0x12c>;
				power_level = <0x320 0x640 0x960 0xc80 0xfa0>;
				power_meas_current = <0x61a80>;
				power_update_time = <0x12c>;
				steady_cycle = <0x2>;
				target_temp_gap = <0x32>;
			};

			smart_charging {
				compatible = "tran,smart_charging";
				smartchg_min_cur = <0x7a120>;
				status = "okay";
			};

			temp_forecast {
				compatible = "transsion,temp_forecast";
				machine_gap = <0x0>;
				max_comp_temp = <0x1e>;
				max_temp_diff = <0x96>;
				orgin_rate = <0x64>;
				per_rate_time = <0x5>;
				phandle = <0x9c>;
			};

			tran_auto_test {
				compatible = "tran,auto_test";
				phandle = <0x98>;
				status = "okay";
			};

			tran_battery {
				bootmode = <0xffffffff>;
				compatible = "tran,chg_fun";
				enable_pcb_tml;
				jeita_above_t4_chg_cur = <0x0>;
				jeita_above_t4_input_cur = <0xf4240>;
				jeita_below_neg10_chg_cur = <0x7a120>;
				jeita_below_neg10_input_chg_cur = <0xf4240>;
				jeita_below_t0_chg_cur = <0x7a120>;
				jeita_below_t0_input_cur = <0x16e360>;
				jeita_t0_to_t1_chg_cur = <0xf4240>;
				jeita_t0_to_t1_input_cur = <0x16e360>;
				jeita_t2_to_t3_chg_cur = <0x1e8480>;
				jeita_t2_to_t3_input_cur = <0x200b20>;
				jeita_t3_to_t4_chg_cur = <0x1e8480>;
				jeita_t3_to_t4_input_cur = <0x200b20>;
				pcb_cur_step_one = <0x1f4>;
				pcb_cur_step_two = <0x1f4>;
				pcb_min_chg_cur = <0xf4240>;
				pcb_temp_step_one = <0x9470>;
				pcb_temp_step_two = <0xa028>;
				phandle = <0x95>;
				status = "okay";
			};

			tran_otg {
				compatible = "tran,otg_fun";
				phandle = <0x97>;
				status = "okay";
			};

			water_detect {
				bootmode = <0xffffffff>;
				compatible = "transsion, water_detect";
				phandle = <0x96>;
				polling_interval = <0x5>;
				scheme = <0x2>;
				status = "okay";
			};
		};
	};

	fragment@36 {
		target = <0xffffffff>;

		__overlay__ {
			cable_imp_threshold = <0x2bb>;
			dcs_chg1_charger_current = <0x16e360>;
			dcs_chg2_charger_current = <0x16e360>;
			dcs_input_current = <0x30d400>;
			dual_polling_ieoc = <0x6ddd0>;
			min_charger_voltage = <0x4630c0>;
			pe20_ichg_level_threshold = <0xf4240>;
			sc_charger_current = <0x2dc6c0>;
			sc_input_current = <0x1e8480>;
			slave_mivr_diff = <0x186a0>;
			ta_start_battery_soc = <0x0>;
			ta_stop_battery_soc = <0x5a>;
			vbat_cable_imp_threshold = <0x3b8260>;
			vbat_threshold = <0x10fe>;
		};
	};

	fragment@37 {
		target = <0xffffffff>;

		__overlay__ {
			cable_imp_threshold = <0x2bb>;
			min_charger_voltage = <0x4630c0>;
			sc_charger_current = <0x2dc6c0>;
			sc_input_current = <0x1e8480>;
			ta_start_battery_soc = <0x0>;
			ta_stop_battery_soc = <0x5a>;
			tc30_ichg_level_threshold = <0xf4240>;
			vbat_cable_imp_threshold = <0x3b8260>;
			vbat_threshold = <0x10fe>;
		};
	};

	fragment@38 {
		target = <0xffffffff>;

		__overlay__ {
			cable_imp_threshold = <0x2bb>;
			hvdcp20_ichg_level_threshold = <0xf4240>;
			min_charger_voltage = <0x4630c0>;
			sc_charger_current = <0x2dc6c0>;
			sc_input_current = <0x1e8480>;
			ta_start_battery_soc = <0x0>;
			ta_stop_battery_soc = <0x5a>;
			vbat_cable_imp_threshold = <0x3b8260>;
			vbat_threshold = <0x10fe>;
		};
	};

	fragment@39 {
		target = <0xffffffff>;

		__overlay__ {
			ibus_err = <0xe>;
			min_charger_voltage = <0x4630c0>;
			pd_vbus_upper_bound = <0x895440>;
			sc_charger_current = <0x2dc6c0>;
			sc_input_current = <0x2dc6c0>;
			vsys_watt = <0x4c4b40>;
		};
	};

	fragment@4 {
		target = <0xffffffff>;

		__overlay__ {

			fingerprint_default {
				phandle = <0x1>;
			};

			gpio136_eint {
				phandle = <0x2>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0x8800>;
					slew-rate = <0x0>;
				};
			};

			gpio136_eint_pull_down {
				phandle = <0x3>;

				pins_cmd_dat {
					bias-pull-down = <0x0>;
					output-low;
					pinmux = <0x8800>;
					slew-rate = <0x0>;
				};
			};

			rst_out_one {
				phandle = <0x4>;

				pins_cmd_dat {
					bias-disable;
					output-high;
					pinmux = <0x3500>;
					slew-rate = <0x1>;
				};
			};

			rst_out_zero {
				phandle = <0x5>;

				pins_cmd_dat {
					bias-disable;
					output-low;
					pinmux = <0x3500>;
					slew-rate = <0x1>;
				};
			};

			tran_fp_spimode_default {
				phandle = <0x6>;

				pins_cmd_dat {
					drive-strength = <0x7>;
					pinmux = <0xdc01 0xdb01 0xda01 0xd901>;
				};
			};
		};
	};

	fragment@40 {
		target = <0xffffffff>;

		__overlay__ {
			bootmode = <0xffffffff>;
			charger = <0xffffffff>;
			compatible = "mediatek,extcon-usb";
			status = "okay";
		};
	};

	fragment@41 {
		target = <0xffffffff>;

		__overlay__ {
			ac_charger_current = <0x2191c0>;
			ac_charger_input_current = <0x1e8480>;
			algorithm_name = "Basic";
			ambient_temp = <0xfa 0xfa 0x12c 0x15e 0x15e>;
			apple_1_0a_charger_current = <0x9eb10>;
			apple_2_1a_charger_current = <0xc3500>;
			battery_cv = <0x44aa20 0x44aa20 0x44aa20 0x44aa20>;
			battery_drop_cv_en;
			charger = <0xffffffff>;
			charger_configuration = <0x4>;
			charging_host_charger_current = <0x16e360>;
			compatible = "mediatek,charger";
			disable_pd_dual;
			dv2_ffc_gera_cv = <0x44d130 0x448310 0x448310>;
			dv2_ffc_gera_cycle = <0x12c 0x258 0x258>;
			enable_dynamic_mivr;
			enable_ir_comp;
			enable_min_charge_temp;
			enable_sw_jeita;
			extreme_low_temp_support;
			ffc_battery_cv = <0x451f50>;
			ffc_eoc = <0xe7ef0>;
			io-channel-names = "tusb";
			io-channels = <0xffffffff 0x17>;
			jeita_temp_above_t4_cv = <0x401640 0x401640 0x401640 0x401640>;
			jeita_temp_below_neg10_cv = <0x432380 0x432380 0x432380 0x432380>;
			jeita_temp_below_t0_cv = <0x432380 0x432380 0x432380 0x432380>;
			jeita_temp_t0_to_t1_cv = <0x44aa20 0x44aa20 0x44aa20 0x44aa20>;
			jeita_temp_t1_to_t2_cv = <0x44aa20 0x44aa20 0x44aa20 0x44aa20>;
			jeita_temp_t2_to_t3_cv = <0x44aa20 0x44aa20 0x44aa20 0x44aa20>;
			jeita_temp_t3_to_t4_cv = <0x401640 0x401640 0x401640 0x401640>;
			long_life_recharge_en;
			max_charge_temp = <0x35>;
			max_charge_temp_minus_x_degree = <0x34>;
			max_charger_voltage = <0x632ea0>;
			max_dmivr_charger_current = <0x155cc0>;
			min_charge_temp = <0xfffffff6>;
			min_charge_temp_plus_x_degree = <0x1>;
			min_charger_voltage = <0x4630c0>;
			min_charger_voltage_1 = <0x4630c0>;
			min_charger_voltage_2 = <0x432380>;
			multi_battery_cv;
			non_ffc_eoc = <0x3d090>;
			non_std_ac_charger_current = <0x124f80>;
			power_path_support;
			r_bat_comp = <0x14>;
			ta_ac_charger_current = <0x2dc6c0>;
			target_temp_array = <0xfa0 0xfa0 0xfa0 0x10cc 0x10cc>;
			temp_neg_10_thres = <0xfffffff8>;
			temp_neg_t1_thres = <0xfffffffb>;
			temp_neg_t1_thres_plus_x_degree = <0xfffffffc>;
			temp_t0_thres = <0x1>;
			temp_t0_thres_plus_x_degree = <0x1>;
			temp_t1_thres = <0x1>;
			temp_t1_thres_plus_x_degree = <0x1>;
			temp_t2_thres = <0xf>;
			temp_t2_thres_plus_x_degree = <0x10>;
			temp_t3_thres = <0x2d>;
			temp_t3_thres_minus_x_degree = <0x2c>;
			temp_t4_thres = <0x37>;
			temp_t4_thres_minus_x_degree = <0x33>;
			usb_charger_current = <0x7a120>;
			usb_charger_current_configured = <0x7a120>;
			usb_charger_current_suspend = <0x0>;
			usb_charger_current_unconfigured = <0x11170>;
			v_comp_max = <0x7530>;
		};
	};

	fragment@42 {
		target = <0xffffffff>;

		__overlay__ {
			ac_charger_current = <0x16e360>;
			ac_charger_input_current = <0x16e360>;
			charging_host_charger_current = <0x16e360>;
			compatible = "mediatek,lk_charger";
			cur_threshold = <0x7a120>;
			enable_anime;
			enable_pd20_reset;
			enable_pe_plus;
			fast_charge_voltage = <0x2625a0>;
			max_charger_voltage = <0x632ea0>;
			non_std_ac_charger_current = <0x124f80>;
			pd_charger_current = <0x7a120>;
			power_path_support;
			ta_ac_charger_current = <0x2dc6c0>;
			temp_neg_t0_current = <0x7a120>;
			temp_neg_t0_threshold = <0xfffffff6>;
			temp_t0_current = <0x7a120>;
			temp_t0_threshold = <0xfffffff6>;
			temp_t1_threshold = <0x0>;
			temp_t2_threshold = <0xf>;
			temp_t3_threshold = <0x2d>;
			temp_t4_threshold = <0x32>;
			usb_charger_current = <0x7a120>;
		};
	};

	fragment@43 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;

			hl7138_master@55 {
				compatible = "richtek,hl7139";
				hl7138,intr-gpios = <0xffffffff 0x13 0x0>;
				reg = <0x55>;
				rm_name = "hl7139";
				rm_slave_addr = [55];
				status = "okay";

				master {
					chg_name = "primary_dvchg";
					cur_i_masked = <0x0>;
					ibat_reg_dis;
					ibat_rsense = <0x1>;
					ibatocp = <0x5d1420>;
					ibatocp_dis;
					ibusocp = <0x40d990>;
					protocol_i_masked = <0x0>;
					reg_i_masked = <0x0>;
					short_i_masked = <0x0>;
					state_chg_i_masked = <0x0>;
					ts_temp_i_masked = <0x0>;
					v_ok_i_masked = <0x0>;
					vacovp = <0xa7d8c0>;
					vbat_reg_dis;
					vbatovp = <0x44aa20>;
					vbusovp = <0xa7d8c0>;
					wdog_i_masked = <0x0>;
					wdt = <0x1c9c380>;
				};

				standalone {
					chg_name = "primary_dvchg";
					gpp_conf = <0x0>;
					ibat_reg_dis;
					ibat_rsense = <0x1>;
					ibatocp = <0x6c5660>;
					ibatocp_dis;
					ibusocp = <0x40d990>;
					protocol_i_masked;
					vacovp = <0xaf79e0>;
					vbat_reg_dis;
					vbatovp = <0x456d70>;
					vbusovp = <0xa7d8c0>;
					wdt = <0x1c9c380>;
				};
			};
		};
	};

	fragment@44 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;

			hl7139_slave_change@55 {
				compatible = "richtek,hl7139";
				hl7138,intr-gpios = <0xffffffff 0x12 0x0>;
				reg = <0x55>;
				rm_name = "hl7139_slave";
				rm_slave_addr = [55];
				status = "okay";

				slave {
					chg_name = "secondary_dvchg";
					cur_i_masked = <0x0>;
					ibat_reg_dis;
					ibat_rsense = <0x1>;
					ibatocp = <0x5d1420>;
					ibatocp_dis;
					ibusocp = <0x40d990>;
					protocol_i_masked = <0x0>;
					reg_i_masked = <0x0>;
					short_i_masked = <0x0>;
					state_chg_i_masked = <0x0>;
					ts_temp_i_masked = <0x0>;
					v_ok_i_masked = <0x0>;
					vacovp = <0xa7d8c0>;
					vbat_reg_dis;
					vbatovp = <0x44aa20>;
					vbusovp = <0xb71b00>;
					wdog_i_masked = <0x0>;
					wdt = <0x1c9c380>;
					wdt_dis;
				};

				standalone {
					chg_name = "secondary_dvchg";
					gpp_conf = <0x0>;
					ibat_reg_dis;
					ibat_rsense = <0x1>;
					ibatocp = <0x6c5660>;
					ibatocp_dis;
					ibusocp = <0x40d990>;
					protocol_i_masked = <0x1>;
					vacovp = <0xa7d8c0>;
					vbat_reg_dis;
					vbatovp = <0x456d70>;
					vbusovp = <0xa7d8c0>;
					wdt = <0x1c9c380>;
					wdt_dis;
				};
			};
		};
	};

	fragment@45 {
		target = <0xffffffff>;

		__overlay__ {
			allow_not_check_ta_status;
			ambient_temp = <0xfa 0x15e 0x15e 0x15e>;
			charger = <0xffffffff>;
			chg_time_max = <0x8ca0>;
			compatible = "mediatek,charger,pe5";
			dv2_ab_dev = <0x0 0x0 0x0 0x0 0x0 0x0>;
			dv2_ffc_ibat = <0x1194 0xdac 0x9f6 0x6d6 0x6d6>;
			dv2_ffc_ibat_high = <0xbb8 0xbb8 0xbb8 0xbb8>;
			dv2_ffc_ibat_high_ext1 = <0xbb8 0xbb8 0xbb8 0x7530>;
			dv2_ffc_ibat_high_ext1_lt = <0xbb8 0xbb8 0xbb8 0xbb8>;
			dv2_ffc_ibat_high_ext2 = <0xbb8 0xbb8 0xbb8 0xbb8>;
			dv2_ffc_ibat_high_ext2_lt = <0xbb8 0xbb8 0xbb8 0xbb8>;
			dv2_ffc_ibat_high_lt = <0xbb8 0xbb8 0xbb8 0xbb8>;
			dv2_ffc_ibat_high_ult_lt_0 = <0x6d6 0x6d6 0x6d6 0x6d6>;
			dv2_ffc_ibat_low = <0x19c8 0x19c8 0x19c8 0x19c8>;
			dv2_ffc_ibat_low_lt = <0x19c8 0x19c8 0x19c8 0x19c8>;
			dv2_ffc_ibat_low_ult_lt_0 = <0x6d6 0x6d6 0x6d6 0x6d6>;
			dv2_ffc_ibat_mid = <0x1194 0x1194 0x1194 0x1194>;
			dv2_ffc_ibat_mid_lt = <0x1194 0x1194 0x1194 0x1194>;
			dv2_ffc_ibat_mid_ult_lt_0 = <0x6d6 0x6d6 0x6d6 0x6d6>;
			dv2_ffc_ult_lt_level = <0xa 0xa 0xa 0xa>;
			dv2_ffc_vbat = <0x109a 0x1162 0x1162 0x1176 0x1176>;
			dv2_ffc_vbat_high = <0x11b2 0x11b2 0x11b2 0x11b2>;
			dv2_ffc_vbat_high_ext1 = <0x11b2 0x11b2 0x11b2 0x11b2>;
			dv2_ffc_vbat_high_ext1_lt = <0x11b2 0x11b2 0x11b2 0x11b2>;
			dv2_ffc_vbat_high_ext2 = <0x11b2 0x11b2 0x11b2 0x11b2>;
			dv2_ffc_vbat_high_ext2_lt = <0x11b2 0x11b2 0x11b2 0x11b2>;
			dv2_ffc_vbat_high_lt = <0x11b2 0x11b2 0x11b2 0x11b2>;
			dv2_ffc_vbat_high_ult_lt_0 = <0x1194 0x1194 0x1194 0x1194>;
			dv2_ffc_vbat_low = <0x109a 0x109a 0x109a 0x109a>;
			dv2_ffc_vbat_low_lt = <0x109a 0x109a 0x109a 0x109a>;
			dv2_ffc_vbat_low_ult_lt_0 = <0x1194 0x1194 0x1194 0x1194>;
			dv2_ffc_vbat_mid = <0x1162 0x1162 0x1162 0x1162>;
			dv2_ffc_vbat_mid_lt = <0x1162 0x1162 0x1162 0x1162>;
			dv2_ffc_vbat_mid_ult_lt_0 = <0x1194 0x1194 0x1194 0x1194>;
			dv2_support_ult_lt;
			force_ta_cv_vbat = <0x109a>;
			full_power_run_time = <0x384>;
			gauge = <0xffffffff>;
			idvchg_ss_init = <0x3e8>;
			idvchg_ss_step = <0xfa>;
			idvchg_ss_step1 = <0x64>;
			idvchg_ss_step1_vbat = <0xfa0>;
			idvchg_ss_step2 = <0x32>;
			idvchg_ss_step2_vbat = <0x1068>;
			idvchg_step = <0x32>;
			idvchg_term = <0x1a9>;
			ifod_threshold = <0xc8>;
			ircmp_rbat = <0x14>;
			ircmp_vclamp = <0x0>;
			ita_cap_min = <0x3e8>;
			ita_level = <0xbb8 0x8ca 0x7d0 0x5dc>;
			ita_level_dual = <0x19c8 0x1388 0xd48 0xbb8>;
			lcd_on_ita = <0x19c8>;
			pe50_call_ita = <0x708>;
			polling_interval = <0x2710>;
			project_power = <0x46>;
			rcable_level = <0xe6 0x15e 0x1c2 0x226>;
			rcable_level_dual = <0xe6 0x15e 0x1c2 0x226>;
			rechg_ab_h = <0x29 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff>;
			rechg_ab_l = <0xc 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff>;
			rsw_min = <0x14>;
			start_soc_max = <0x5f>;
			start_soc_min = <0x0>;
			start_vbat_max = <0x1180>;
			start_vbat_min = <0xcf8>;
			support_ta = "rfc_adapter", "pd_adapter";
			swchg_aicr = <0x0>;
			swchg_aicr_ss_init = <0x190>;
			swchg_aicr_ss_step = <0xc8>;
			swchg_ichg = <0x4b0>;
			swchg_off_vbat = <0x109a>;
			sys_power_curlmt = <0xffffffff 0xffffffff 0xffffffff 0x0 0x0 0xaf0 0x9c4 0x898 0x76c 0x640 0x514 0x514 0x514 0x514 0x514 0x514 0xffffffff>;
			sys_power_level_def = <0x0 0x0 0x0 0x190 0x320 0x4b0 0x640 0x7d0 0x960 0xaf0 0xc80 0xe10 0xfa0 0x1130 0x12c0 0x1450 0xc350>;
			sys_power_recovery_area = <0x190>;
			ta_blanking = <0x190>;
			ta_cv_ss_repeat_tmin = <0x19>;
			tbat_curlmt = <0xffffffff 0xffffffff 0xffffffff 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x708 0xffffffff>;
			tbat_curlmt_0 = <0xffffffff 0xffffffff 0x0 0x0 0x0 0x258 0x258 0x258 0x258 0x44c 0x578 0x640 0x8ca 0x8ca 0x8ca 0x8ca 0xffffffff>;
			tbat_curlmt_1 = <0xffffffff 0xffffffff 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x960 0xffffffff>;
			tbat_curlmt_2 = <0xffffffff 0xffffffff 0x0 0x0 0x0 0x3e8 0x5dc 0x6d6 0x7d0 0x898 0x8fc 0x92e 0xa5a 0xa5a 0xa5a 0xa5a 0xffffffff>;
			tbat_level_def = <0xa 0xa 0xa 0xf 0x19 0x19 0x19 0x19 0x19 0x19 0x19 0x19 0x19 0x28 0x2a 0x2c 0x2d>;
			tbat_level_def_0 = <0x0 0x0 0xf 0x14 0x19 0x28 0x28 0x28 0x28 0x29 0x2a 0x2b 0x2c 0x2c 0x2c 0x2c 0x2d>;
			tbat_level_def_1 = <0x0 0x0 0xa 0xf 0x19 0x19 0x19 0x19 0x19 0x19 0x19 0x19 0x19 0x19 0x19 0x2c 0x2d>;
			tbat_level_def_2 = <0x0 0x0 0xa 0xf 0x19 0x1e 0x1f 0x20 0x21 0x22 0x23 0x27 0x2c 0x2c 0x2c 0x2c 0x2d>;
			tbat_recovery_area = <0x1>;
			tdvchg_curlmt = <0xffffffff 0xffffffff 0xffffffff 0x12c 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x96 0x12c 0x1c2 0xffffffff>;
			tdvchg_level_def = <0x0 0x0 0x0 0x5 0x19 0x19 0x19 0x19 0x19 0x19 0x19 0x19 0x19 0x46 0x4b 0x50 0x55>;
			tdvchg_recovery_area = <0x1>;
			tmachine_curlmt_0 = <0xffffffff 0xffffffff 0xffffffff 0x0 0x0 0x0 0x1f4 0x320 0x44c 0x578 0x6b8 0x79e 0x866 0x8fc 0xa5a 0xa5a 0xffffffff>;
			tmachine_curlmt_1 = <0xfffffffe 0xfffffffe 0xfffffffe 0x0 0x0 0x0 0x1f4 0x320 0x44c 0x578 0x6b8 0x79e 0x866 0x8fc 0xa5a 0xa5a 0xffffffff>;
			tmachine_curlmt_2 = <0xfffffffd 0xfffffffd 0xfffffffd 0x0 0x0 0x0 0x1f4 0x320 0x44c 0x578 0x6b8 0x79e 0x866 0x8fc 0xa5a 0xa5a 0xffffffff>;
			tmachine_curlmt_3 = <0xfffffffc 0xfffffffc 0xfffffffc 0x0 0x0 0x0 0x1f4 0x320 0x44c 0x578 0x6b8 0x79e 0x866 0x8fc 0xa5a 0xa5a 0xffffffff>;
			tmachine_level_def_0 = <0x0 0x0 0x0 0xf 0x19 0x1e 0x24 0x25 0x26 0x27 0x28 0x2a 0x2b 0x2c 0x2d 0x2d 0x50>;
			tmachine_level_def_1 = <0x0 0x0 0x0 0xf 0x19 0x1e 0x24 0x25 0x26 0x27 0x28 0x2a 0x2b 0x2c 0x2d 0x2d 0x50>;
			tmachine_level_def_2 = <0x0 0x0 0x0 0xf 0x19 0x1e 0x24 0x25 0x26 0x27 0x28 0x2a 0x2b 0x2c 0x2d 0x2d 0x50>;
			tmachine_level_def_3 = <0x0 0x0 0x0 0xf 0x19 0x1e 0x24 0x25 0x26 0x27 0x28 0x2a 0x2b 0x2c 0x2d 0x2d 0x50>;
			tmachine_recovery_area = <0x1>;
			tpcb_curlmt_0 = <0x0 0x0 0x0 0x0 0x0 0x258 0x258 0x258 0x44c 0x514 0x5dc 0x6a4 0x76c 0xa5a 0xa5a 0xa5a 0xffffffff>;
			tpcb_curlmt_2 = <0x0 0x0 0x0 0x0 0x0 0x3e8 0x5dc 0x6d6 0x7d0 0x834 0x898 0x8fc 0x960 0x992 0xa5a 0xa5a 0xffffffff>;
			tpcb_level_def_0 = <0x0 0x0 0x0 0x0 0x19 0x27 0x27 0x27 0x28 0x29 0x2a 0x2b 0x2c 0x2d 0x2d 0x2d 0x5a>;
			tpcb_level_def_2 = <0x0 0x0 0xa 0xf 0x19 0x1e 0x20 0x22 0x24 0x26 0x27 0x28 0x2a 0x2c 0x2d 0x2d 0x5a>;
			tpcb_recovery_area = <0x1>;
			tswchg_curlmt = <0xffffffff 0xffffffff 0xffffffff 0xc8 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0xc8 0x12c 0x190 0xffffffff>;
			tswchg_level_def = <0x0 0x0 0x0 0x5 0x19 0x19 0x19 0x19 0x19 0x19 0x19 0x19 0x19 0x41 0x46 0x4b 0x50>;
			tswchg_recovery_area = <0x1>;
			tta_curlmt = <0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x12c 0x258 0x384 0xffffffff>;
			tta_level_def = <0x0 0x0 0x0 0x0 0x19 0x19 0x19 0x19 0x19 0x19 0x19 0x19 0x19 0x4b 0x50 0x5a 0x5f>;
			tta_recovery_area = <0x1>;
			ult_lt_vbat_cv = <0x1194>;
			vbat_cv = <0x11b2>;
			vbat_threshold = <0x1036>;
			vta_cap_max = <0x2904>;
			vta_cap_min = <0x1a90>;
		};
	};

	fragment@46 {
		target = <0xffffffff>;

		__overlay__ {

			pca_rfc_ta {
				adapter_name = "rfc_adapter";
				compatible = "richtek,pca_rfc_ta";
				ita_gap_cv_mode = <0x64>;
				ita_gap_per_vstep = <0x14>;
				ita_step = <0x1e>;
				pwr_lmt;
				status = "okay";
				support_meas_cap;
				support_status;
				vta_step = <0x28>;
			};

			usb_switch {
				compatible = "tran,usb_switch";
				phandle = <0x9d>;
				status = "okay";
				switch_built_in_ic;
			};
		};
	};

	fragment@47 {
		target = <0xffffffff>;

		__overlay__ {
			clock-frequency = <0x186a0>;

			rfc_ta@1b {
				compatible = "richtek,rfc_ta";
				pinctrl-0 = <0x2f>;
				pinctrl-1 = <0x30>;
				pinctrl-names = "i2c_sclk_mode", "i2c_sda_mode";
				reg = <0x1b>;
				status = "okay";
			};
		};
	};

	fragment@48 {
		target = <0xffffffff>;

		__overlay__ {

			i2c_sclk_mode {
				phandle = <0x2f>;

				pins_cmd_dat {
					bias-pull-up = <0xcf>;
					drive-strength = <0x0>;
					mediatek,drive-strength-adv = <0x0>;
					pinmux = <0x1f01>;
				};
			};

			i2c_sda_mode {
				phandle = <0x30>;

				pins_cmd_dat {
					bias-pull-up = <0xcf>;
					drive-strength = <0x0>;
					mediatek,drive-strength-adv = <0x0>;
					pinmux = <0x2001>;
				};
			};
		};
	};

	fragment@49 {
		target = <0xffffffff>;

		__overlay__ {

			aw2026@64 {
				compatible = "awinic,aw2026_led";
				reg = <0x64>;
				status = "okay";

				aw2026,led {
					aw2026,brightness = <0x80>;
					aw2026,imax = <0x3>;
					aw2026,max_brightness = <0xc8>;
					aw2026,name = "aw2026_led";
				};
			};
		};
	};

	fragment@5 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "mediatek,disp-leds";

			backlight {
				gate_enable = <0x1>;
				led_mode = <0x4>;
				max-brightness = <0x1ff>;
				max-hw-brightness = <0x7ff>;
				pwm_config = <0x0 0x1 0x0 0x0 0x0>;
			};
		};
	};

	fragment@50 {
		target = <0xffffffff>;

		__overlay__ {

			usb_control {
				compatible = "transsion, usb_control";
				phandle = <0x9e>;
				pinctrl-0 = <0x31>;
				pinctrl-1 = <0x32>;
				pinctrl-10 = <0x3b>;
				pinctrl-11 = <0x3c>;
				pinctrl-12 = <0x3d>;
				pinctrl-13 = <0x3e>;
				pinctrl-14 = <0x3f>;
				pinctrl-2 = <0x33>;
				pinctrl-3 = <0x34>;
				pinctrl-4 = <0x35>;
				pinctrl-5 = <0x36>;
				pinctrl-6 = <0x37>;
				pinctrl-7 = <0x38>;
				pinctrl-8 = <0x39>;
				pinctrl-9 = <0x3a>;
				pinctrl-names = "default", "hvdcp_handshake", "hvdcp_boost_5v", "hvdcp_boost_9v", "hvdcp_reset", "tc30_handshake", "tc30_reset", "rfc_i2c_mode", "rfc_dual_high", "rfc_high_low", "rfc_reset", "rfc_usb_switch_on", "rfc_usb_switch_off", "ta_off", "ta_reset";
				rfc_control_type = <0x1>;
				status = "okay";
				switch_control_type = <0x1>;
				ta_control_type = <0x2>;
				tc30_by_switch_ic_oneshot;
			};
		};
	};

	fragment@51 {
		target = <0xffffffff>;

		__overlay__ {

			hvdcp_boost_5v {
				phandle = <0x33>;
			};

			hvdcp_boost_9v {
				phandle = <0x34>;
			};

			hvdcp_handshake {
				phandle = <0x32>;
			};

			hvdcp_reset {
				phandle = <0x35>;
			};

			rfc_dual_high {
				phandle = <0x39>;
			};

			rfc_high_low {
				phandle = <0x3a>;
			};

			rfc_i2c_mode {
				phandle = <0x38>;
			};

			rfc_reset {
				phandle = <0x3b>;
			};

			ta_off {
				phandle = <0x3e>;
			};

			ta_reset {
				phandle = <0x3f>;
			};

			tc30_handshake {
				phandle = <0x36>;
			};

			tc30_reset {
				phandle = <0x37>;
			};

			usb_control_default {
				phandle = <0x31>;
			};

			usb_switch_off {
				phandle = <0x3d>;
			};

			usb_switch_on {
				phandle = <0x3c>;
			};
		};
	};

	fragment@52 {
		target = <0xffffffff>;

		__overlay__ {

			seninf_csi_port_0 {
				compatible = "mediatek,seninf";
				csi-port = [30 00];
				phandle = <0x9f>;

				port {

					endpoint {
						phandle = <0x65>;
						remote-endpoint = <0x40>;
					};
				};
			};

			seninf_csi_port_1 {
				compatible = "mediatek,seninf";
				csi-port = [31 00];
				dphy_settle_delay_dt = <0x11>;
				phandle = <0xa0>;

				port {

					endpoint {
						phandle = <0x59>;
						remote-endpoint = <0x41>;
					};
				};
			};

			seninf_csi_port_2 {
				compatible = "mediatek,seninf";
				csi-port = [32 00];
				hs_trail_parameter = <0x20>;
				phandle = <0xa1>;

				port {

					endpoint {
						phandle = <0x71>;
						remote-endpoint = <0x42>;
					};
				};
			};

			seninf_csi_port_3 {
				compatible = "mediatek,seninf";
				csi-port = [33 00];
				hs_trail_parameter = <0x20>;
				phandle = <0xa2>;

				port {

					endpoint {
						phandle = <0x7d>;
						remote-endpoint = <0x43>;
					};
				};
			};
		};
	};

	fragment@53 {
		target = <0xffffffff>;

		__overlay__ {

			cam0@0 {
				phandle = <0x54>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x9900>;
					slew-rate = <0x1>;
				};
			};

			cam0@1 {
				phandle = <0x55>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x9900>;
					slew-rate = <0x1>;
				};
			};

			cam1@0 {
				phandle = <0x61>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x9a00>;
					slew-rate = <0x1>;
				};
			};

			cam1@1 {
				phandle = <0x62>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x9a00>;
					slew-rate = <0x1>;
				};
			};

			cam2@0 {
				phandle = <0x6d>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x9b00>;
					slew-rate = <0x1>;
				};
			};

			cam2@1 {
				phandle = <0x6e>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x9b00>;
					slew-rate = <0x1>;
				};
			};

			cam3@0 {
				phandle = <0x79>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x9c00>;
					slew-rate = <0x1>;
				};
			};

			cam3@1 {
				phandle = <0x7a>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x9c00>;
					slew-rate = <0x1>;
				};
			};

			camdefault {
				phandle = <0xa3>;
			};

			camera_pins_cam0_mclk_2ma {
				phandle = <0x50>;

				pins_cmd_dat {
					drive-strength = <0x0>;
					pinmux = <0x9601>;
				};
			};

			camera_pins_cam0_mclk_4ma {
				phandle = <0x51>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x9601>;
				};
			};

			camera_pins_cam0_mclk_6ma {
				phandle = <0x52>;

				pins_cmd_dat {
					drive-strength = <0x2>;
					pinmux = <0x9601>;
				};
			};

			camera_pins_cam0_mclk_8ma {
				phandle = <0x53>;

				pins_cmd_dat {
					drive-strength = <0x3>;
					pinmux = <0x9601>;
				};
			};

			camera_pins_cam0_mclk_off {
				phandle = <0x4f>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x9600>;
				};
			};

			camera_pins_cam1_mclk_2ma {
				phandle = <0x5d>;

				pins_cmd_dat {
					drive-strength = <0x0>;
					pinmux = <0x9701>;
				};
			};

			camera_pins_cam1_mclk_4ma {
				phandle = <0x5e>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x9701>;
				};
			};

			camera_pins_cam1_mclk_6ma {
				phandle = <0x5f>;

				pins_cmd_dat {
					drive-strength = <0x2>;
					pinmux = <0x9701>;
				};
			};

			camera_pins_cam1_mclk_8ma {
				phandle = <0x60>;

				pins_cmd_dat {
					drive-strength = <0x3>;
					pinmux = <0x9701>;
				};
			};

			camera_pins_cam1_mclk_off {
				phandle = <0x5c>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x9700>;
				};
			};

			camera_pins_cam2_mclk_2ma {
				phandle = <0x69>;

				pins_cmd_dat {
					drive-strength = <0x0>;
					pinmux = <0x9801>;
				};
			};

			camera_pins_cam2_mclk_4ma {
				phandle = <0x6a>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x9801>;
				};
			};

			camera_pins_cam2_mclk_6ma {
				phandle = <0x6b>;

				pins_cmd_dat {
					drive-strength = <0x2>;
					pinmux = <0x9801>;
				};
			};

			camera_pins_cam2_mclk_8ma {
				phandle = <0x6c>;

				pins_cmd_dat {
					drive-strength = <0x3>;
					pinmux = <0x9801>;
				};
			};

			camera_pins_cam2_mclk_off {
				phandle = <0x68>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x9800>;
				};
			};

			camera_pins_cam3_mclk_2ma {
				phandle = <0x75>;

				pins_cmd_dat {
					drive-strength = <0x0>;
					pinmux = <0xa201>;
				};
			};

			camera_pins_cam3_mclk_4ma {
				phandle = <0x76>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0xa201>;
				};
			};

			camera_pins_cam3_mclk_6ma {
				phandle = <0x77>;

				pins_cmd_dat {
					drive-strength = <0x2>;
					pinmux = <0xa201>;
				};
			};

			camera_pins_cam3_mclk_8ma {
				phandle = <0x78>;

				pins_cmd_dat {
					drive-strength = <0x3>;
					pinmux = <0xa201>;
				};
			};

			camera_pins_cam3_mclk_off {
				phandle = <0x74>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0xa200>;
				};
			};
		};
	};

	fragment@54 {
		target = <0xffffffff>;

		__overlay__ {

			aw36515@63 {
				#cooling-cells = <0x2>;
				compatible = "mediatek,aw36515";
				flashledno = <0x1>;
				phandle = <0xa4>;
				pinctrl-0 = <0x44>;
				pinctrl-1 = <0x45>;
				pinctrl-2 = <0x46>;
				pinctrl-names = "default", "hwen_high", "hwen_low";
				reg = <0x63>;
				status = "okay";

				flash@0 {
					ct = <0x0>;
					part = <0x0>;
					reg = <0x1>;
					type = <0x0>;

					port@0 {

						endpoint {
							phandle = <0x48>;
							remote-endpoint = <0x47>;
						};
					};
				};
			};
		};
	};

	fragment@55 {
		target = <0xffffffff>;

		__overlay__ {

			default {
				phandle = <0x44>;
			};

			hwen_high {
				phandle = <0x45>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x7700>;
					slew-rate = <0x1>;
				};
			};

			hwen_low {
				phandle = <0x46>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x7700>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@56 {
		target = <0xffffffff>;

		__overlay__ {

			port@0 {

				endpoint {
					phandle = <0x47>;
					remote-endpoint = <0x48>;
				};
			};
		};
	};

	fragment@57 {
		target = <0xffffffff>;

		__overlay__ {

			port@0 {

				endpoint {
					phandle = <0x4e>;
					remote-endpoint = <0x49>;
				};
			};

			port@1 {

				endpoint {
					phandle = <0x5b>;
					remote-endpoint = <0x4a>;
				};
			};

			port@2 {

				endpoint {
					phandle = <0x67>;
					remote-endpoint = <0x4b>;
				};
			};

			port@3 {

				endpoint {
					phandle = <0x73>;
					remote-endpoint = <0x4c>;
				};
			};
		};
	};

	fragment@58 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0xf4240>;
			status = "okay";

			camera_af_main@0C {
				compatible = "mediatek,aw8601af";
				reg = <0xc>;
				vin-supply = <0x4d>;

				port {

					endpoint {
						phandle = <0x49>;
						remote-endpoint = <0x4e>;
					};
				};
			};

			camera_eeprom0@50 {
				compatible = "mediatek,camera_eeprom";
				phandle = <0xa5>;
				reg = <0x50>;
				status = "okay";
			};

			sensor0@10 {
				#thermal-sensor-cells = <0x0>;
				avdd-supply = <0x56>;
				avdd1-supply = <0x57>;
				clock-names = "6", "12", "13", "19.2", "24", "26", "52", "mclk";
				clocks = <0xffffffff 0x8e 0xffffffff 0x8d 0xffffffff 0xab 0xffffffff 0x8c 0xffffffff 0x8b 0xffffffff 0xffffffff 0x86 0xffffffff 0x14>;
				compatible = "mediatek,imgsensor";
				dovdd-supply = <0xffffffff>;
				dvdd-supply = <0x58>;
				phandle = <0x7e>;
				pinctrl-0 = <0x4f>;
				pinctrl-1 = <0x50>;
				pinctrl-2 = <0x51>;
				pinctrl-3 = <0x52>;
				pinctrl-4 = <0x53>;
				pinctrl-5 = <0x54>;
				pinctrl-6 = <0x55>;
				pinctrl-names = "mclk_off", "mclk_2mA", "mclk_4mA", "mclk_6mA", "mclk_8mA", "rst_low", "rst_high";
				reg = <0x10>;
				sensor-matecodes = "imx890_17201871";
				sensor-names = "imx890_mipi_raw";
				status = "okay";

				port {

					endpoint {
						phandle = <0x41>;
						remote-endpoint = <0x59>;
					};
				};
			};
		};
	};

	fragment@59 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0xf4240>;
			status = "okay";

			camera_af_front@0C {
				compatible = "mediatek,dw9800k";
				reg = <0xc>;
				vin-supply = <0x5a>;

				port {

					endpoint {
						phandle = <0x4a>;
						remote-endpoint = <0x5b>;
					};
				};
			};

			camera_eeprom1@51 {
				compatible = "mediatek,camera_eeprom";
				phandle = <0xa6>;
				reg = <0x51>;
				status = "okay";
			};

			sensor1@10 {
				#thermal-sensor-cells = <0x0>;
				avdd-supply = <0x63>;
				clock-names = "6", "12", "13", "19.2", "24", "26", "52", "mclk";
				clocks = <0xffffffff 0x8e 0xffffffff 0x8d 0xffffffff 0xab 0xffffffff 0x8c 0xffffffff 0x8b 0xffffffff 0xffffffff 0x86 0xffffffff 0x15>;
				compatible = "mediatek,imgsensor";
				dovdd-supply = <0xffffffff>;
				dvdd-supply = <0x64>;
				phandle = <0x7f>;
				pinctrl-0 = <0x5c>;
				pinctrl-1 = <0x5d>;
				pinctrl-2 = <0x5e>;
				pinctrl-3 = <0x5f>;
				pinctrl-4 = <0x60>;
				pinctrl-5 = <0x61>;
				pinctrl-6 = <0x62>;
				pinctrl-names = "mclk_off", "mclk_2mA", "mclk_4mA", "mclk_6mA", "mclk_8mA", "rst_low", "rst_high";
				reg = <0x10>;
				sensor-matecodes = "s5kjn1sub_17201850";
				sensor-names = "s5kjn1sub_mipi_raw";
				status = "okay";

				port {

					endpoint {
						phandle = <0x40>;
						remote-endpoint = <0x65>;
					};
				};
			};
		};
	};

	fragment@6 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x7>;
			pinctrl-1 = <0x8>;
			pinctrl-10 = <0x11>;
			pinctrl-11 = <0x12>;
			pinctrl-12 = <0x13>;
			pinctrl-13 = <0x14>;
			pinctrl-14 = <0x15>;
			pinctrl-15 = <0x16>;
			pinctrl-16 = <0x17>;
			pinctrl-17 = <0x18>;
			pinctrl-18 = <0x19>;
			pinctrl-19 = <0x1a>;
			pinctrl-2 = <0x9>;
			pinctrl-3 = <0xa>;
			pinctrl-4 = <0xb>;
			pinctrl-5 = <0xc>;
			pinctrl-6 = <0xd>;
			pinctrl-7 = <0xe>;
			pinctrl-8 = <0xf>;
			pinctrl-9 = <0x10>;
			pinctrl-names = "aud_clk_mosi_off", "aud_clk_mosi_on", "aud_dat_mosi_off", "aud_dat_mosi_on", "aud_dat_mosi_ch34_off", "aud_dat_mosi_ch34_on", "aud_dat_miso0_off", "aud_dat_miso0_on", "aud_dat_miso1_off", "aud_dat_miso1_on", "aud_dat_miso2_off", "aud_dat_miso2_on", "vow_dat_miso_off", "vow_dat_miso_on", "vow_clk_miso_off", "vow_clk_miso_on", "aud_gpio_i2s3_off", "aud_gpio_i2s3_on", "aud_gpio_i2s0_off", "aud_gpio_i2s0_on";
		};
	};

	fragment@60 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0xf4240>;
			status = "okay";

			camera_af_main_two@0C {
				compatible = "mediatek,ak7316";
				reg = <0xc>;
				vin-supply = <0x66>;

				port {

					endpoint {
						phandle = <0x4b>;
						remote-endpoint = <0x67>;
					};
				};
			};

			camera_eeprom2@55 {
				compatible = "mediatek,camera_eeprom";
				phandle = <0xa7>;
				reg = <0x55>;
				status = "okay";
			};

			sensor2@2D {
				#thermal-sensor-cells = <0x0>;
				avdd-supply = <0x6f>;
				clock-names = "6", "12", "13", "19.2", "24", "26", "52", "mclk";
				clocks = <0xffffffff 0x8e 0xffffffff 0x8d 0xffffffff 0xab 0xffffffff 0x8c 0xffffffff 0x8b 0xffffffff 0xffffffff 0x86 0xffffffff 0x16>;
				compatible = "mediatek,imgsensor";
				dovdd-supply = <0xffffffff>;
				dvdd-supply = <0x70>;
				phandle = <0x80>;
				pinctrl-0 = <0x68>;
				pinctrl-1 = <0x69>;
				pinctrl-2 = <0x6a>;
				pinctrl-3 = <0x6b>;
				pinctrl-4 = <0x6c>;
				pinctrl-5 = <0x6d>;
				pinctrl-6 = <0x6e>;
				pinctrl-names = "mclk_off", "mclk_2mA", "mclk_4mA", "mclk_6mA", "mclk_8mA", "rst_low", "rst_high";
				reg = <0x2d>;
				sensor-matecodes = "s5kjn1tele_17201860";
				sensor-names = "s5kjn1tele_mipi_raw";
				status = "okay";

				port {

					endpoint {
						phandle = <0x42>;
						remote-endpoint = <0x71>;
					};
				};
			};
		};
	};

	fragment@61 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0xf4240>;
			status = "okay";

			camera_af_main_three@0C {
				compatible = "mediatek,dw9800w";
				reg = <0xc>;
				vin-supply = <0x72>;

				port {

					endpoint {
						phandle = <0x4c>;
						remote-endpoint = <0x73>;
					};
				};
			};

			camera_eeprom3@51 {
				compatible = "mediatek,camera_eeprom";
				phandle = <0xa8>;
				reg = <0x51>;
				status = "okay";
			};

			sensor3@21 {
				#thermal-sensor-cells = <0x0>;
				avdd-supply = <0x7b>;
				clock-names = "6", "12", "13", "19.2", "24", "26", "52", "mclk";
				clocks = <0xffffffff 0x8e 0xffffffff 0x8d 0xffffffff 0xab 0xffffffff 0x8c 0xffffffff 0x8b 0xffffffff 0xffffffff 0x86 0xffffffff 0x17>;
				compatible = "mediatek,imgsensor";
				dovdd-supply = <0xffffffff>;
				dvdd-supply = <0x7c>;
				phandle = <0x81>;
				pinctrl-0 = <0x74>;
				pinctrl-1 = <0x75>;
				pinctrl-2 = <0x76>;
				pinctrl-3 = <0x77>;
				pinctrl-4 = <0x78>;
				pinctrl-5 = <0x79>;
				pinctrl-6 = <0x7a>;
				pinctrl-names = "mclk_off", "mclk_2mA", "mclk_4mA", "mclk_6mA", "mclk_8mA", "rst_low", "rst_high";
				reg = <0x21>;
				sensor-matecodes = "hi5022q_17201862";
				sensor-names = "hi5022q_mipi_raw";
				status = "okay";

				port {

					endpoint {
						phandle = <0x43>;
						remote-endpoint = <0x7d>;
					};
				};
			};
		};
	};

	fragment@62 {
		target = <0xffffffff>;

		__overlay__ {

			camera0 {
				phandle = <0xa9>;
				polling-delay = <0x0>;
				polling-delay-passive = <0x0>;
				thermal-sensors = <0x7e>;
			};

			camera1 {
				phandle = <0xaa>;
				polling-delay = <0x0>;
				polling-delay-passive = <0x0>;
				thermal-sensors = <0x7f>;
			};

			camera2 {
				phandle = <0xab>;
				polling-delay = <0x0>;
				polling-delay-passive = <0x0>;
				thermal-sensors = <0x80>;
			};

			camera4 {
				phandle = <0xac>;
				polling-delay = <0x0>;
				polling-delay-passive = <0x0>;
				thermal-sensors = <0x81>;
			};
		};
	};

	fragment@63 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;

			et5904@28 {
				VIND-supply = <0x82>;
				compatible = "tran,et5904";
				reg = <0x28>;

				regulators {

					ET5904LDO11 {
						phandle = <0x64>;
						regulator-max-microvolt = <0x1b7740>;
						regulator-min-microvolt = <0x927c0>;
						regulator-name = "ET5904LDO11";
					};

					ET5904LDO21 {
						phandle = <0x58>;
						regulator-max-microvolt = <0x1b7740>;
						regulator-min-microvolt = <0x927c0>;
						regulator-name = "ET5904LDO21";
					};

					ET5904LDO31 {
						phandle = <0x63>;
						regulator-max-microvolt = <0x325aa0>;
						regulator-min-microvolt = <0x124f80>;
						regulator-name = "ET5904LDO31";
					};

					ET5904LDO41 {
						phandle = <0x56>;
						regulator-max-microvolt = <0x325aa0>;
						regulator-min-microvolt = <0x124f80>;
						regulator-name = "ET5904LDO41";
					};
				};
			};
		};
	};

	fragment@64 {
		target = <0xffffffff>;

		__overlay__ {

			gpioldo_af0 {
				compatible = "regulator-fixed";
				enable-active-high;
				gpio = <0xffffffff 0xa1 0x0>;
				phandle = <0x4d>;
				regulator-max-microvolt = <0x325aa0>;
				regulator-min-microvolt = <0x325aa0>;
				regulator-name = "gpioldo_af0";
			};

			gpioldo_af1 {
				compatible = "regulator-fixed";
				enable-active-high;
				gpio = <0xffffffff 0xa0 0x0>;
				phandle = <0x5a>;
				regulator-max-microvolt = <0x2ab980>;
				regulator-min-microvolt = <0x2ab980>;
				regulator-name = "gpioldo_af1";
			};

			gpioldo_af2 {
				compatible = "regulator-fixed";
				enable-active-high;
				gpio = <0xffffffff 0x9e 0x0>;
				phandle = <0x66>;
				regulator-max-microvolt = <0x325aa0>;
				regulator-min-microvolt = <0x325aa0>;
				regulator-name = "gpioldo_af2";
			};

			gpioldo_af3 {
				compatible = "regulator-fixed";
				enable-active-high;
				gpio = <0xffffffff 0x9d 0x0>;
				phandle = <0x72>;
				regulator-max-microvolt = <0x2ab980>;
				regulator-min-microvolt = <0x2ab980>;
				regulator-name = "gpioldo_af3";
			};

			gpioldo_vda0 {
				compatible = "regulator-fixed";
				enable-active-high;
				gpio = <0xffffffff 0xb8 0x0>;
				phandle = <0x57>;
				regulator-boot-on;
				regulator-max-microvolt = <0x1b7740>;
				regulator-min-microvolt = <0x1b7740>;
				regulator-name = "gpioldo_vda0";
				vin-supply = <0x82>;
			};

			gpioldo_vdd0 {
				compatible = "regulator-fixed";
				enable-active-high;
				gpio = <0xffffffff 0xb9 0x0>;
				phandle = <0x70>;
				regulator-boot-on;
				regulator-max-microvolt = <0x100590>;
				regulator-min-microvolt = <0x100590>;
				regulator-name = "gpioldo_vdd0";
				vin-supply = <0x82>;
			};

			ldoid1 {
				compatible = "regulator-fixed";
				enable-active-low;
				gpio = <0xffffffff 0x91 0x0>;
				phandle = <0xad>;
				regulator-always-on;
				regulator-boot-on;
				regulator-max-microvolt = <0x1b7740>;
				regulator-min-microvolt = <0x1b7740>;
				regulator-name = "ldoid1";
			};

			ldoid7 {
				compatible = "regulator-fixed";
				enable-active-low;
				gpio = <0xffffffff 0x92 0x0>;
				phandle = <0xae>;
				regulator-always-on;
				regulator-boot-on;
				regulator-max-microvolt = <0x1b7740>;
				regulator-min-microvolt = <0x1b7740>;
				regulator-name = "ldoid7";
			};

			vs2pmu {
				compatible = "regulator-fixed";
				enable-active-high;
				gpio = <0xffffffff 0x7a 0x0>;
				phandle = <0x82>;
				regulator-always-on;
				regulator-boot-on;
				regulator-max-microvolt = <0x1b7740>;
				regulator-min-microvolt = <0x1b7740>;
				regulator-name = "vs2pmu";
			};
		};
	};

	fragment@65 {
		target = <0xffffffff>;

		__overlay__ {

			cam-aiisp-dev {
				arch-compat = "aiisp-dev";
				compatible = "tetras,cam-aiisp-dev";
				fsync-intr0 = <0xffffffff 0x4 0x0>;
				fsync-intr1 = <0xffffffff 0x7f 0x0>;
			};

			tetras_ipc {
				compatible = "tetras,ipcdev";
				gpio-ipc = <0xffffffff 0xd8 0x0>;
				phandle = <0xaf>;
				reg = <0x0>;
				status = "okay";
			};

			tetras_pm_ctrl {
				compatible = "tetras,ai-isp-pm_ctrl";
				gpio-hd-rst = <0xffffffff 0xb4 0x0>;
				gpio-rst-req = <0xffffffff 0xb0 0x0>;
				gpio-tcxo-en = <0xffffffff 0xd4 0x0>;
				gpio-wake-up = <0xffffffff 0xe 0x0>;
				phandle = <0xb0>;
				status = "okay";
				v1-vdd1-0v75 = <0xffffffff 0x5e 0x0>;
				v1-vdd1-0v75-lsw = <0xffffffff 0xbf 0x0>;
				v1-vdd2-0v75 = <0xffffffff 0x5d 0x0>;
				v1-vdd3-1v8 = <0xffffffff 0x5c 0x0>;
				v1-vdd4-1v1 = <0xffffffff 0xc1 0x0>;
				v1-vdd5-0v6 = <0xffffffff 0xc0 0x0>;
				v1-vdd8-1v8 = <0xffffffff 0xbe 0x0>;
			};
		};
	};

	fragment@66 {
		target = <0xffffffff>;

		__overlay__ {

			tetras_spibridge_mode {
				phandle = <0x83>;

				pins_cmd_dat {
					drive-strength = <0x2>;
					pinmux = <0x1901 0x1a01 0x1b01 0x1c01>;
				};
			};
		};
	};

	fragment@67 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			pinctrl-0 = <0x83>;
			pinctrl-names = "default";
			status = "okay";

			spibridge@0 {
				compatible = "tetras,spibridge";
				reg = <0x0>;
				spi-max-frequency = <0x17d7840>;
				status = "okay";
				switch_reg_addr = <0x4600d014>;

				spi2ahb@1 {
					bridge_name = "spi2ahb";
					conf_addr_start = <0x46000000>;
					haddr_conf_addr = <0x4600d010>;
					hw_sel = <0x1>;
					rx-fifo-len = <0x20>;
					status = "okay";
					tx-fifo-len = <0x20>;
				};

				spi2axi@0 {
					bridge_name = "spi2axi";
					default_bridge;
					hw_sel = <0x0>;
					status = "okay";
				};
			};
		};
	};

	fragment@68 {
		target = <0xffffffff>;

		__overlay__ {
			GPIO_FDD_BAND_SUPPORT_DETECT_1ST_PIN = <0xffffffff 0xa 0x0>;
			GPIO_SIM1_HOT_PLUG = <0xffffffff 0x2a 0x0>;
			GPIO_SIM1_SCLK = <0xffffffff 0x31 0x0>;
			GPIO_SIM1_SIO = <0xffffffff 0x2f 0x0>;
			GPIO_SIM1_SRST = <0xffffffff 0x30 0x0>;
			GPIO_SIM2_SCLK = <0xffffffff 0x2c 0x0>;
			GPIO_SIM2_SIO = <0xffffffff 0x2e 0x0>;
			GPIO_SIM2_SRST = <0xffffffff 0x2d 0x0>;
		};
	};

	fragment@69 {
		target = <0xffffffff>;

		__overlay__ {
			gpio_init_default = <0x0 0x0 0x0 0x0 0x1 0x0 0x1 0x1 0x0 0x0 0x0 0x1 0x0 0x1 0x2 0x0 0x0 0x0 0x1 0x0 0x1 0x3 0x0 0x1 0x0 0x1 0x0 0x1 0x4 0x0 0x0 0x0 0x1 0x0 0x1 0x5 0x0 0x0 0x0 0x1 0x0 0x1 0x6 0x1 0x0 0x0 0x1 0x1 0x1 0x7 0x1 0x0 0x0 0x1 0x1 0x1 0x8 0x1 0x0 0x0 0x1 0x1 0x1 0x9 0x1 0x0 0x0 0x1 0x1 0x1 0xa 0x0 0x0 0x0 0x0 0x0 0x1 0xb 0x0 0x0 0x0 0x1 0x1 0x1 0xc 0x0 0x0 0x0 0x1 0x1 0x1 0xd 0x0 0x0 0x0 0x1 0x0 0x1 0xe 0x0 0x0 0x0 0x1 0x0 0x1 0xf 0x0 0x0 0x0 0x1 0x1 0x1 0x10 0x6 0x0 0x0 0x1 0x0 0x1 0x11 0x6 0x0 0x0 0x1 0x0 0x1 0x12 0x0 0x0 0x0 0x1 0x1 0x1 0x13 0x0 0x0 0x0 0x1 0x1 0x1 0x14 0x0 0x0 0x0 0x1 0x0 0x1 0x15 0x1 0x0 0x0 0x1 0x0 0x1 0x16 0x1 0x0 0x0 0x1 0x0 0x1 0x17 0x1 0x0 0x0 0x1 0x1 0x1 0x18 0x1 0x0 0x0 0x1 0x0 0x1 0x19 0x1 0x0 0x0 0x1 0x0 0x1 0x1a 0x1 0x0 0x0 0x1 0x1 0x1 0x1b 0x1 0x0 0x0 0x1 0x0 0x1 0x1c 0x1 0x0 0x0 0x1 0x0 0x1 0x1d 0x1 0x0 0x0 0x1 0x1 0x1 0x1e 0x1 0x0 0x0 0x1 0x1 0x1 0x1f 0x1 0x0 0x0 0x1 0x1 0x1 0x20 0x1 0x0 0x0 0x1 0x1 0x1 0x21 0x1 0x0 0x0 0x1 0x1 0x1 0x22 0x1 0x0 0x0 0x1 0x1 0x1 0x23 0x1 0x0 0x0 0x1 0x1 0x1 0x24 0x1 0x0 0x0 0x1 0x1 0x1 0x25 0x1 0x0 0x0 0x1 0x1 0x1 0x26 0x1 0x0 0x0 0x1 0x1 0x1 0x27 0x1 0x0 0x0 0x0 0x0 0x1 0x28 0x1 0x0 0x0 0x1 0x0 0x1 0x29 0x0 0x1 0x0 0x1 0x0 0x1 0x2a 0x1 0x0 0x0 0x1 0x1 0x1 0x2b 0x0 0x0 0x0 0x1 0x0 0x1 0x2c 0x1 0x0 0x0 0x0 0x0 0x1 0x2d 0x1 0x0 0x0 0x0 0x0 0x1 0x2e 0x1 0x0 0x0 0x1 0x1 0x1 0x2f 0x1 0x0 0x0 0x1 0x1 0x1 0x30 0x1 0x0 0x0 0x0 0x0 0x1 0x31 0x1 0x0 0x0 0x0 0x0 0x1 0x32 0x1 0x0 0x0 0x0 0x0 0x1 0x33 0x0 0x1 0x0 0x1 0x0 0x1 0x34 0x0 0x1 0x0 0x1 0x0 0x1 0x35 0x0 0x1 0x0 0x1 0x0 0x1 0x36 0x1 0x0 0x0 0x1 0x1 0x1 0x37 0x1 0x0 0x0 0x1 0x1 0x1 0x38 0x1 0x0 0x0 0x1 0x0 0x1 0x39 0x1 0x0 0x0 0x1 0x0 0x1 0x3a 0x1 0x0 0x0 0x0 0x0 0x1 0x3b 0x1 0x0 0x0 0x0 0x0 0x1 0x3c 0x1 0x0 0x0 0x0 0x0 0x1 0x3d 0x1 0x0 0x0 0x0 0x0 0x1 0x3e 0x0 0x0 0x0 0x1 0x0 0x1 0x3f 0x1 0x0 0x0 0x0 0x0 0x1 0x40 0x1 0x0 0x0 0x0 0x0 0x1 0x41 0x1 0x0 0x0 0x0 0x0 0x1 0x42 0x1 0x0 0x0 0x0 0x0 0x1 0x43 0x1 0x0 0x0 0x0 0x0 0x1 0x44 0x1 0x0 0x0 0x0 0x0 0x1 0x45 0x1 0x0 0x0 0x0 0x0 0x1 0x46 0x1 0x0 0x0 0x0 0x0 0x1 0x47 0x1 0x0 0x0 0x0 0x0 0x1 0x48 0x1 0x0 0x0 0x0 0x0 0x1 0x49 0x1 0x0 0x0 0x0 0x0 0x1 0x4a 0x1 0x0 0x0 0x0 0x0 0x1 0x4b 0x1 0x0 0x0 0x0 0x0 0x1 0x4c 0x1 0x0 0x0 0x0 0x0 0x1 0x4d 0x1 0x0 0x0 0x0 0x0 0x1 0x4e 0x1 0x0 0x0 0x0 0x0 0x0 0x4f 0x1 0x0 0x0 0x0 0x0 0x0 0x50 0x1 0x0 0x0 0x0 0x0 0x0 0x51 0x1 0x0 0x0 0x1 0x0 0x0 0x52 0x1 0x0 0x0 0x1 0x0 0x0 0x53 0x1 0x0 0x0 0x1 0x0 0x0 0x54 0x1 0x0 0x0 0x0 0x0 0x0 0x55 0x1 0x0 0x0 0x1 0x0 0x0 0x56 0x1 0x0 0x0 0x0 0x0 0x0 0x57 0x1 0x0 0x0 0x1 0x0 0x0 0x58 0x1 0x0 0x0 0x1 0x1 0x1 0x59 0x1 0x0 0x0 0x0 0x0 0x1 0x5a 0x1 0x0 0x0 0x1 0x1 0x1 0x5b 0x1 0x0 0x0 0x0 0x0 0x1 0x5c 0x0 0x1 0x0 0x1 0x0 0x1 0x5d 0x0 0x1 0x0 0x1 0x0 0x1 0x5e 0x0 0x1 0x0 0x1 0x0 0x1 0x5f 0x7 0x0 0x0 0x0 0x0 0x1 0x60 0x7 0x0 0x0 0x1 0x0 0x1 0x61 0x7 0x0 0x0 0x1 0x0 0x1 0x62 0x7 0x0 0x0 0x1 0x0 0x1 0x63 0x1 0x0 0x0 0x0 0x0 0x1 0x64 0x1 0x0 0x0 0x1 0x0 0x1 0x65 0x1 0x0 0x0 0x1 0x0 0x1 0x66 0x1 0x0 0x0 0x1 0x0 0x1 0x67 0x7 0x0 0x0 0x1 0x0 0x1 0x68 0x0 0x1 0x0 0x1 0x0 0x1 0x69 0x7 0x0 0x0 0x1 0x0 0x1 0x6a 0x0 0x1 0x0 0x1 0x0 0x0 0x6b 0x1 0x0 0x0 0x1 0x1 0x1 0x6c 0x1 0x0 0x0 0x1 0x1 0x1 0x6d 0x2 0x0 0x0 0x1 0x0 0x1 0x6e 0x2 0x0 0x0 0x1 0x1 0x1 0x6f 0x2 0x0 0x0 0x1 0x0 0x1 0x70 0x2 0x0 0x0 0x1 0x0 0x1 0x72 0x0 0x0 0x0 0x1 0x1 0x1 0x73 0x0 0x0 0x0 0x1 0x0 0x1 0x74 0x0 0x0 0x0 0x1 0x1 0x1 0x75 0x1 0x0 0x0 0x0 0x0 0x1 0x76 0x1 0x0 0x0 0x0 0x0 0x1 0x77 0x0 0x1 0x0 0x1 0x0 0x1 0x78 0x0 0x1 0x0 0x1 0x0 0x1 0x79 0x4 0x0 0x0 0x0 0x0 0x1 0x7a 0x0 0x1 0x1 0x1 0x0 0x1 0x7b 0x1 0x0 0x0 0x1 0x0 0x1 0x7c 0x1 0x0 0x0 0x1 0x1 0x1 0x7d 0x1 0x0 0x0 0x1 0x0 0x1 0x7e 0x1 0x0 0x0 0x1 0x0 0x1 0x7f 0x0 0x0 0x0 0x1 0x0 0x1 0x80 0x0 0x0 0x0 0x1 0x1 0x1 0x81 0x1 0x0 0x0 0x1 0x1 0x1 0x82 0x1 0x0 0x0 0x1 0x1 0x1 0x83 0x1 0x0 0x0 0x1 0x1 0x1 0x84 0x1 0x0 0x0 0x1 0x1 0x1 0x85 0x1 0x0 0x0 0x1 0x1 0x1 0x86 0x1 0x0 0x0 0x1 0x1 0x1 0x87 0x0 0x0 0x0 0x1 0x1 0x1 0x88 0x0 0x0 0x0 0x1 0x0 0x1 0x89 0x1 0x0 0x0 0x1 0x1 0x1 0x8a 0x1 0x0 0x0 0x1 0x1 0x1 0x8b 0x1 0x0 0x0 0x1 0x1 0x1 0x8c 0x1 0x0 0x0 0x1 0x1 0x1 0x8d 0x0 0x0 0x0 0x1 0x1 0x1 0x8e 0x0 0x0 0x0 0x1 0x0 0x1 0x8f 0x0 0x0 0x0 0x1 0x0 0x1 0x90 0x0 0x1 0x0 0x1 0x0 0x1 0x91 0x0 0x1 0x0 0x1 0x0 0x1 0x92 0x0 0x1 0x0 0x1 0x0 0x1 0x93 0x0 0x0 0x0 0x1 0x0 0x1 0x94 0x0 0x0 0x0 0x1 0x0 0x1 0x95 0x0 0x0 0x0 0x1 0x0 0x1 0x96 0x0 0x1 0x0 0x1 0x0 0x1 0x97 0x0 0x1 0x0 0x1 0x0 0x1 0x98 0x0 0x1 0x0 0x1 0x0 0x1 0x99 0x0 0x1 0x0 0x1 0x0 0x1 0x9a 0x0 0x1 0x0 0x1 0x0 0x1 0x9b 0x0 0x1 0x0 0x1 0x0 0x1 0x9c 0x0 0x1 0x0 0x1 0x0 0x1 0x9d 0x0 0x1 0x0 0x1 0x0 0x1 0x9e 0x0 0x1 0x0 0x1 0x0 0x1 0x9f 0x0 0x0 0x0 0x1 0x0 0x1 0xa0 0x0 0x1 0x0 0x1 0x0 0x1 0xa1 0x0 0x1 0x0 0x1 0x0 0x1 0xa2 0x0 0x1 0x0 0x1 0x0 0x1 0xa3 0x0 0x1 0x0 0x1 0x0 0x1 0xa4 0x0 0x1 0x0 0x1 0x0 0x1 0xa5 0x0 0x0 0x0 0x1 0x0 0x1 0xa6 0x0 0x0 0x0 0x1 0x0 0x1 0xa7 0x0 0x0 0x0 0x1 0x0 0x1 0xa8 0x0 0x0 0x0 0x1 0x0 0x1 0xa9 0x0 0x0 0x0 0x1 0x0 0x1 0xaa 0x0 0x0 0x0 0x1 0x0 0x1 0xab 0x0 0x0 0x0 0x1 0x0 0x1 0xac 0x0 0x0 0x0 0x1 0x0 0x1 0xad 0x0 0x0 0x0 0x1 0x0 0x1 0xae 0x0 0x0 0x0 0x1 0x0 0x1 0xaf 0x0 0x0 0x0 0x1 0x0 0x1 0xb0 0x0 0x0 0x0 0x1 0x0 0x1 0xb1 0x0 0x1 0x0 0x1 0x0 0x1 0xb2 0x0 0x0 0x0 0x1 0x0 0x1 0xb3 0x1 0x0 0x0 0x1 0x0 0x1 0xb4 0x0 0x1 0x0 0x1 0x0 0x1 0xb5 0x0 0x0 0x0 0x1 0x0 0x1 0xb6 0x0 0x1 0x0 0x1 0x0 0x1 0xb7 0x0 0x1 0x0 0x1 0x0 0x1 0xb8 0x0 0x0 0x0 0x1 0x0 0x1 0xb9 0x0 0x1 0x0 0x1 0x0 0x1 0xba 0x1 0x0 0x0 0x1 0x0 0x0 0xbb 0x1 0x0 0x0 0x1 0x0 0x0 0xbc 0x1 0x0 0x0 0x0 0x0 0x1 0xbd 0x0 0x1 0x0 0x1 0x0 0x1 0xbe 0x0 0x1 0x0 0x1 0x0 0x1 0xbf 0x0 0x1 0x0 0x1 0x0 0x1 0xc0 0x0 0x1 0x0 0x1 0x0 0x1 0xc1 0x0 0x1 0x0 0x1 0x0 0x1 0xc2 0x1 0x0 0x0 0x1 0x0 0x1 0xc3 0x1 0x0 0x0 0x0 0x0 0x1 0xc4 0x1 0x0 0x0 0x0 0x0 0x1 0xc5 0x1 0x0 0x0 0x0 0x0 0x1 0xc6 0x1 0x0 0x0 0x0 0x0 0x1 0xc7 0x1 0x0 0x0 0x1 0x0 0x1 0xc8 0x1 0x0 0x0 0x1 0x1 0x1 0xc9 0x1 0x0 0x0 0x1 0x1 0x1 0xca 0x1 0x0 0x0 0x0 0x0 0x1 0xcb 0x1 0x0 0x0 0x0 0x0 0x1 0xcc 0x1 0x0 0x0 0x0 0x0 0x1 0xcd 0x1 0x0 0x0 0x0 0x0 0x1 0xce 0x1 0x0 0x0 0x0 0x0 0x1 0xcf 0x1 0x0 0x0 0x0 0x0 0x1 0xd0 0x1 0x0 0x0 0x0 0x0 0x1 0xd1 0x1 0x0 0x0 0x1 0x0 0x1 0xd2 0x1 0x0 0x0 0x1 0x0 0x1 0xd3 0x1 0x0 0x0 0x1 0x0 0x1 0xd4 0x0 0x0 0x0 0x1 0x0 0x1 0xd5 0x0 0x1 0x0 0x1 0x0 0x1 0xd6 0x0 0x1 0x0 0x1 0x0 0x1 0xd7 0x0 0x1 0x0 0x1 0x0 0x1 0xd8 0x0 0x0 0x0 0x1 0x0 0x1 0xd9 0x1 0x0 0x0 0x1 0x0 0x1 0xda 0x0 0x0 0x0 0x1 0x0 0x1 0xdb 0x1 0x0 0x0 0x1 0x0 0x1 0xdc 0x1 0x0 0x0 0x1 0x0 0x1 0xdd 0x1 0x0 0x0 0x0 0x0 0x1 0xde 0x1 0x0 0x0 0x0 0x0 0x1 0xdf 0x1 0x0 0x0 0x0 0x0 0x1 0xe0 0x1 0x0 0x0 0x0 0x0 0x1 0xe1 0x1 0x0 0x0 0x1 0x1 0x1 0xe2 0x1 0x0 0x0 0x1 0x1 0x1 0xe3 0x0 0x0 0x0 0x1 0x0 0x0 0xe4 0x0 0x0 0x0 0x1 0x0 0x0 0xe5 0x0 0x0 0x0 0x1 0x0 0x0 0xe6 0x0 0x0 0x0 0x1 0x0 0x0 0xe7 0x0 0x0 0x0 0x1 0x0 0x0 0xe8 0x0 0x0 0x0 0x1 0x0 0x0 0xe9 0x0 0x0 0x0 0x1 0x0 0x0 0xea 0x0 0x0 0x0 0x1 0x0 0x0 0xeb 0x0 0x0 0x0 0x1 0x0 0x0 0xec 0x0 0x0 0x0 0x1 0x0 0x0 0xed 0x0 0x0 0x0 0x1 0x0 0x0 0xee 0x0 0x0 0x0 0x1 0x0 0x0 0xef 0x0 0x0 0x0 0x1 0x0 0x0 0xf0 0x0 0x0 0x0 0x1 0x0 0x0 0xf1 0x0 0x0 0x0 0x1 0x0 0x0 0xf2 0x0 0x0 0x0 0x1 0x0 0x0 0xf3 0x0 0x0 0x0 0x1 0x0 0x0 0xf4 0x0 0x0 0x0 0x1 0x0 0x0 0xf5 0x0 0x0 0x0 0x1 0x0 0x0 0xf6 0x0 0x0 0x0 0x1 0x0 0x0>;
		};
	};

	fragment@7 {
		target = <0xffffffff>;

		__overlay__ {

			aud_clk_mosi_off {
				phandle = <0x7>;

				pins_cmd1_dat {
					bias-pull-down;
					input-enable;
					pinmux = <0xca00>;
				};

				pins_cmd2_dat {
					bias-pull-down;
					input-enable;
					pinmux = <0xcb00>;
				};
			};

			aud_clk_mosi_on {
				phandle = <0x8>;

				pins_cmd1_dat {
					bias-disable;
					input-schmitt-enable;
					pinmux = <0xca01>;
				};

				pins_cmd2_dat {
					bias-disable;
					input-schmitt-enable;
					pinmux = <0xcb01>;
				};
			};

			aud_dat_miso0_off {
				phandle = <0xd>;

				pins_cmd1_dat {
					bias-pull-down;
					input-enable;
					pinmux = <0xd100>;
				};
			};

			aud_dat_miso0_on {
				phandle = <0xe>;

				pins_cmd1_dat {
					bias-disable;
					input-schmitt-enable;
					pinmux = <0xd101>;
				};
			};

			aud_dat_miso1_off {
				phandle = <0xf>;

				pins_cmd1_dat {
					bias-disable;
					input-enable;
					pinmux = <0xd200>;
				};
			};

			aud_dat_miso1_on {
				phandle = <0x10>;

				pins_cmd1_dat {
					bias-disable;
					input-schmitt-enable;
					pinmux = <0xd201>;
				};
			};

			aud_dat_miso2_off {
				phandle = <0x11>;

				pins_cmd1_dat {
					bias-pull-down;
					input-enable;
					pinmux = <0xd300>;
				};
			};

			aud_dat_miso2_on {
				phandle = <0x12>;

				pins_cmd1_dat {
					bias-disable;
					input-schmitt-enable;
					pinmux = <0xd301>;
				};
			};

			aud_dat_mosi_ch34_off {
				phandle = <0xb>;

				pins_cmd1_dat {
					bias-pull-down;
					input-enable;
					pinmux = <0xce00>;
				};
			};

			aud_dat_mosi_ch34_on {
				phandle = <0xc>;

				pins_cmd1_dat {
					bias-disable;
					input-schmitt-enable;
					pinmux = <0xce01>;
				};
			};

			aud_dat_mosi_off {
				phandle = <0x9>;

				pins_cmd1_dat {
					bias-pull-down;
					input-enable;
					pinmux = <0xcc00>;
				};

				pins_cmd2_dat {
					bias-pull-down;
					input-enable;
					pinmux = <0xcd00>;
				};
			};

			aud_dat_mosi_on {
				phandle = <0xa>;

				pins_cmd1_dat {
					bias-disable;
					input-schmitt-enable;
					pinmux = <0xcc01>;
				};

				pins_cmd2_dat {
					bias-disable;
					input-schmitt-enable;
					pinmux = <0xcd01>;
				};
			};

			aud_gpio_i2s0_off {
				phandle = <0x19>;

				pins_cmd1_dat {
					bias-pull-down;
					input-enable;
					pinmux = <0x1700>;
				};
			};

			aud_gpio_i2s0_on {
				phandle = <0x1a>;

				pins_cmd1_dat {
					bias-disable;
					input-schmitt-enable;
					pinmux = <0x1701>;
				};
			};

			aud_gpio_i2s3_off {
				phandle = <0x17>;

				pins_cmd1_dat {
					bias-pull-down;
					input-enable;
					pinmux = <0x1500>;
				};

				pins_cmd2_dat {
					bias-pull-down;
					input-enable;
					pinmux = <0x1600>;
				};

				pins_cmd3_dat {
					bias-pull-down;
					input-enable;
					pinmux = <0x1800>;
				};
			};

			aud_gpio_i2s3_on {
				phandle = <0x18>;

				pins_cmd1_dat {
					bias-disable;
					input-schmitt-enable;
					pinmux = <0x1501>;
				};

				pins_cmd2_dat {
					bias-disable;
					input-schmitt-enable;
					pinmux = <0x1601>;
				};

				pins_cmd3_dat {
					bias-disable;
					input-schmitt-enable;
					pinmux = <0x1801>;
				};
			};

			aud_nle_mosi_off {
				phandle = <0x89>;

				pins_cmd1_dat {
					bias-pull-down;
					input-enable;
					pinmux = <0xcf00>;
				};

				pins_cmd2_dat {
					bias-pull-down;
					input-enable;
					pinmux = <0xd000>;
				};
			};

			aud_nle_mosi_on {
				phandle = <0x8a>;

				pins_cmd1_dat {
					bias-disable;
					input-schmitt-enable;
					pinmux = <0xcf01>;
				};

				pins_cmd2_dat {
					bias-disable;
					input-schmitt-enable;
					pinmux = <0xd001>;
				};
			};

			vow_clk_miso_off {
				phandle = <0x15>;

				pins_cmd1_dat {
					bias-pull-down;
					input-enable;
					pinmux = <0xd200>;
				};
			};

			vow_clk_miso_on {
				phandle = <0x16>;

				pins_cmd1_dat {
					bias-disable;
					input-schmitt-enable;
					pinmux = <0xd202>;
				};
			};

			vow_dat_miso_off {
				phandle = <0x13>;

				pins_cmd1_dat {
					bias-pull-down;
					input-enable;
					pinmux = <0xd100>;
				};
			};

			vow_dat_miso_on {
				phandle = <0x14>;

				pins_cmd1_dat {
					bias-disable;
					input-schmitt-enable;
					pinmux = <0xd102>;
				};
			};
		};
	};

	fragment@70 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0xc 0x8>;
			status = "okay";
		};
	};

	fragment@71 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x28 0x1>;
			status = "okay";
		};
	};

	fragment@72 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x74 0x8>;
			status = "okay";
		};
	};

	fragment@73 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x87 0x2>;
			status = "okay";
		};
	};

	fragment@74 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x8d 0x2>;
			status = "okay";
		};
	};

	fragment@75 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "mediatek,md1_sim1_hot_plug_eint-eint";
			debounce = <0x0 0x2710>;
			dedicated = <0x0 0x0>;
			interrupts = <0x0 0x8>;
			sockettype = <0x0 0x0>;
			src_pin = <0x0 0x1>;
			status = "okay";
		};
	};

	fragment@76 {
		target = <0xffffffff>;

		__overlay__ {
			mediatek,hw-dl-key0 = <0x0>;
			mediatek,hw-dl-key1 = <0x11>;
			mediatek,hw-dl-key2 = <0x8>;
			mediatek,hw-factory-key = <0x11>;
			mediatek,hw-init-map = <0x73 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0>;
			mediatek,hw-map-num = <0x48>;
			mediatek,hw-pwrkey = <0x8>;
			mediatek,hw-recovery-key = <0x0>;
			mediatek,hw-rstkey = <0x11>;
			mediatek,key-debounce = <0x400>;
			mediatek,pwkey-gpio-din = <0x0>;
			mediatek,pwrkey-eint-gpio = <0x0>;
			mediatek,sw-pwrkey = <0x74>;
			mediatek,sw-rstkey = <0x72>;
			mediatek,use-extend-type = <0x0>;
			status = "okay";
		};
	};

	fragment@8 {
		target = <0xffffffff>;

		__overlay__ {
			clock-frequency = <0x61a80>;
			status = "okay";

			nfc_nxp@28 {
				compatible = "nxp,pn544";
				nxp,pn544-irq = <0xffffffff 0x8f 0x0>;
				nxp,pn544-ven = <0xffffffff 0x90 0x0>;
				reg = <0x28>;
			};
		};
	};

	fragment@9 {
		target = <0xffffffff>;

		__overlay__ {

			speaker_amp@5c {
				#sound-dai-cells = <0x0>;
				compatible = "richtek,rt5512";
				phandle = <0x8b>;
				reg = <0x5c>;
				sound-name-prefix = "Left";
				status = "okay";
			};
		};
	};

	pd_adapter {
		adapter_name = "pd_adapter";
		compatible = "mediatek,pd_adapter";
		phandle = <0x84>;
		status = "okay";
	};
};
